2007-04-13  Adam Fedor  <fedor@gnu.org>

	* Version 0.12.0
	* Source/NSAnimation.m: Remove unused and incorrect include.
	
2007-04-12 Xavier Glattard <xavier.glattard@online.fr>

	* Headers/AppKit/NSAnimation.h
	* Source/NSAnimation.m
	* Headers/Additions/GNUstepGUI/GSAnimator.h
	* Source/GSAnimator.m
	- attempt to follow GNU coding standards
	- implementation of NSAnimationBlockingMode and 
	  NSAnimationNonBlockingThreaded modes
	- fix some bugs and incompatibilities with Cocoa
	- Add some more documentation

2007-04-11 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSView.m: When transforming a size ensure that the
	resulting height is positive.  Is this correct behavior?
	It should reproduce the old (incorrect ... ie differing from MacOS-X)
	behavior of NSAffineTransform.

2007-04-09 21:20-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSAnimation.m: Removed static INLINE declaration from
	nsanimation_progressMarkSorter function so that it will compile
	properly on versions of gcc prior to 4.1.2.

2007-04-10 Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSClipView.m (-setBoundsOrigin:): Use NSView method
	scrollRect:by:.
	* Source/NSPrintOperation.m (NSView
	-_displayPageInRect:atPlacement:withInfo:): Release the temporary 
	matrixes.
	* Source/GSEPSPrintOperation.m (_print): Call endPage on the view.
		
2007-04-05 Xavier Glattard <xavier.glattard@online.fr>

	* Headers/AppKit/NSAnimation.h
	* Source/NSAnimation.m
	* Headers/Additions/GNUstepGUI/GSAnimator.h
	* Source/GSAnimator.m
	Implementation of NSAnimation and NSViewAnimation classes :
	- only NSAnimationNonBlocking mode is implemented
	- runLoopModesForAnimating is not used
	GSAnimator class is in alpha stage : interface may be changed
	See gnustep-examples/GSTest for demos.

2007-04-02  Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/AppKit/NSAlert.h: Tidied.
	* Source/NSAlert.m: Tidied to more standard gnustep style and added
	code to perform gui operations in the main appkit thread where someone
	tries to use alerts from another thread.

2007-03-26  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSAttributedString.m: Wrap excessively long lines
	* Source/externs.m: Add new attributed string constants
	* Headers/AppKit/NSAttributedString.h: Add constants from current
	MacOS-X

2007-03-23  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSAffineTransform.m: Simplify code slightly.

2007-03-23  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-drawWithFrame:inView:): Extract helper methods
	for border and focus drawing.
	* Source/NSButtonCell.m: Override the border drawing method.
	* Source/NSMenuItemCell.m: Override the border drawing method and
	set default focus ring to none.
	* Source/NSPopupButtonCell.m: Set default focus ring to default.
	
2007-03-23  Sergii Stoian <stoyan255@gmail.com>

	* Source/NSAlert.m: (-_initWithoutGModel): Set selected text
	background color to [NSColor controlLightHighlightColor].

2007-03-23  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m: Replace calls to the now deprecated methods on
	NSAffineTransform with correct ones.

2007-03-22  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButtonCell.m (-drawWithFrame:inView:),
	* Source/NSCell.m (-drawWithFrame:inView:): Respect focus ring
	style when drawing first responder state.
	* Source/NSBrowserCell.m (-drawInteriorWithFrame:inView:),
	* Source/NSPopupButtonCell.m (-drawInteriorWithFrame:inView:),
	* Source/NSImageCell.m (-drawInteriorWithFrame:inView:): Don't
	draw focus ring.

2007-03-22  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSAffineTransform.m: Avoid accessing internals of the base
	library class directly.  Mark many methods as deprecated.
	* Headers/AppKit/NSAffineTransform.h: Mark gnustep extensions as
	deprecated.  Perhaps we don't want to deprecate all of them though
	need feedback on that.

2007-03-21  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-gState): Generate a gstate if one is needed
	and none has been set up to now.

2007-03-19  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPrintOperation.m (NSView -_endSheet, NSView
	-_displayPageInRect:atPlacement:withInfo:): Get graphics context
	from the print operation. 
	* Source/NSView.m (-_lockFocusInContext:inRect:): When not set,
	get graphics context either from window or from the print operation.
	* Source/NSView.m (-lockFocusInRect, -lockFocusIfCanDraw): Don't
	set the graphics context.
	* Source/NSView.m: For all print methods get the context from
	the print operation.

2007-03-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-setBoundsRotation:): Adjust _bounds ivar to
	the rotation.
	* Source/NSView.m (-translateOriginToPoint:, -rotateByAngle:):
	Implemented via setBoundsOrigin: and rotateByAngle:.
	* Source/NSView.m (-_lockFocusInContext:inRect:): For rotated
	views compute the actual clip region instead of using _bounds.

2007-03-17  Nicola Pero <nicola.pero@meta-innovation.com>

	* GNUmakefile.postamble (before-uninstall): Uninstall gui.make.
	* Panels/GNUmakefile.postamble (after-uninstall): Fixed uninstall
	target.
	* Source/CompatibilityHeaders.make (after-install): Use
	ECHO_NOTHING and END_ECHO.
	(after-uninstall): New target that uninstalls the compatibility
	headers.
	
2007-03-12  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAffineTransform.m: Set _isIdentity for all methods
	changing the matrix of the affine transform.

2007-03-11  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (-abortModal): Call stopModalWithCode: to
	make this mehtod work when not inside the modal loop.
	* Source/GSToolbarView.m (-_takeInAccountFlexibleSpaces): Don't
	call methods that return astructures on nil as this fails on Solaris.
	* Source/NSTableColumn.m (-setWidth:): Add self tothe
	notifiaction.
	* Source/NSComboBoxCell.m (-_selectCompleted): Don't change
	selection if no match is found.
	* Source/NSMenuItemCell.m (-drawImageWithFrame:inView:): Use
	[drawImage:withFrame:inView:] to do the drawing.  
	Patches by Andreas Höschler <ahoesch@smartsoft.de>.

2007-03-09  Nicola Pero <nicola.pero@meta-innovation.com>

	Updated gnustep-gui to use versioned library resources.
	* Source/NSApplication.m ([+initialize]): Use
	bundleForLibrary:version: to get the correct version of the
	gnustep-gui resources.
	* Source/GNUmakefile: Install resources in versioned directory.
	* Resources/GNUmakefile: Same change.
	* Panels/GNUmakefile.postamble: Same change.
	
2007-03-09  Sergii Stoian <stoyan255@yahoo.com>

        * Source/GSSlideView.m: (- _slideFrom:to:): Calcuate number of
        steps wrt image size.
        * Source/GSDragView.m: (- slideDraggedImageTo:): Ditto.
	
2007-03-08  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSResponder.h: Move _rFlags from here ...
	* Headers/AppKit/NSView.h: ... to here.
	* Headers/AppKit/NSWindow.h: Add views_need_display
	* Source/NSWindow.m: Use _f.views_need_display instead of _rFlags.

2007-03-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (-TIFFRepresentation,
	-TIFFRepresentationUsingCompression:factor:): If there is no
	bitmap representation create one and store it. 
	Idea by Renaud Molla <renaud.molla@wanadoo.fr>.

2007-03-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSDocument.m
	(-fileNameFromRunningSavePanelForSaveOperation:): Add remaining
	change by Wolfgang Lux.  This corrects a potential mismatch
	between the document type and the type specified in the panel.

2007-03-08  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSTabView.h: Correct NSTabViewType enumerator to
	match values from Apple.
	* Source/NSTabView.m (-encodeWithCoder:, -initWithCoder:): Adopt
	to new enum values.

2007-03-07  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPrintPanel.m: The modal loop which displays the print
	panel is now left with either NSOKButton or NSCancelButton
	(cf. the documentation of NSPrintPanel's -runModal: and
	-beginSheetWithPrintInfo:modalForWindow:delegate:didEndSelector:contextInfo:).
	* Source/NSPrintOperation.m: The callback passed to the print
	panel's beginSheet... method had a wrong signature (and also was
	misspelled). In addition, the code of the callback did retrieve
	its own callback from the print dictionary in a wrong way (was
	asking for a pointer to a selector while a selector was saved).
	* Source/NSDocument.m: The callback of
	-runModalPrintOperation:delegate:didRunSelector:contextInfo:
	method has a different signature than the one passed to the print
	operation's
	-runOperationModalForWindow:delegate:didRunSelector:contextInfo:
	method. This means NSDocument needs some adapter code and also has
	to save the delegate and selector passed to runModalPrintOperation... 
	in some place. 
	* Headers/AppKit/NSDocument.h: Since there can be at most one print dialog for a
	document, add two private instance variables to NSDocument for that purpose. 
	Patch by Wolfgang Lux <wolfgang.lux@gmail.com>.

2007-03-07  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSPasteboard.m: Launch gpbs with --auto option so that
	it shuts down again when all connections are closed.

2007-03-06  Nicola Pero <nicola.pero@meta-innovation.com>

	* Source/GSServicesManager.m ([+newWithApplication:]): If the base
	library returns an empty User Library path, try using a default
	one.

2007-03-06  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBox.m (-initWithFrame:): Set content view via the
	method setContentView: to be independent of super class
	implementation of addSubview:
	* Headers/AppKit/NSWindow.h,
	* Source/NSWindow.m: Add method graphicsContext.
	* Headers/AppKit/NSView.h,
	* Source/NSView.m: Add MacOS 10.4 methods.
	* Source/NSView.m (addSubview:): Implement via
	addSubview:positioned:relativeTo:. Optimize the later method for
	the otherView = nil case.
	* Source/NSView.m (dragPromisedFilesOfTypes:...,
	mouseDownCanMoveWindow, scrollRect:by:, scrollClipView:toPoint:,
	getRectsBeingDrawn:count:, needsToDrawRect:): Implement.  
	* Source/NSView.m (registerForDraggedTypes:) Change order of
	removeDragTypes and addDragTypes, so that overlapping drag types
	get handled correctly.
	* Source/NSView.m (_enclosingClipView): New helper method.
	* Source/NSView.m (enclosingScrollView, scrollRectToVisible:, scrollPoint:): Optimize.
	* Source/NSView.m (displayRectIgnoringOpacity:): Move
	unlockFocusNeedsFlush closer to lockFocusInRect. 
	* Source/NSView.m (_lockFocusInContext:inRect:): New main focus
	locking method. Clip only when wantsDefaultClipping returns YES.
	* Source/NSView.m (releaseGState): Set _allocate_gstate to 0 to
	switch off private gState.
	* Source/NSView.m (_invalidateCoordinates): Call renewGState
	instead of releaseGState.
	* Source/NSView.m (initWithFrame:): Use value from super init call
	and don't set pre-set ivars.
	
2007-03-06  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSServicesManager.m:
	* Source/NSWorkspace.m:
	Fix usage of NSSearchPathForDirectoriesInDomains() to match new
	filesystem support changes.

2007-03-04  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSSpellServer.m: deleted
	* Source/GNUmakefile: remove NSSpellServer.m
	* Source/NSSpellChecker.m: include NSSpellServer.h from base
	* Headers/AppKit/NSSpellServer.h: deleted
	* Headers/AppKit/AppKit.h remove NSSpellServer.h
	Moved NSSpellServer to base for macos-x compatibility.

2007-03-03 14:51-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSDocument.m: Added change suggested by Wolfgang Lux.  This
	corrects a potential mismatch between the document type and the type
	specified in the panel.

2007-02-28  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSScrollView.m (-keyDown:, -scrollLineUp:,
	-scrollLineDown:): New methods.
	* Source/NSTextView_actions.m (-scrollLineDown:, -scrollLineUp:,
	-scrollPageDown:, -scrollPageUp:): Implement methods based on
	scroll view.
	* KeyBindings/DefaultKeyBindings.dict: Change control-up and and
	page up to be scrollPageUp: and control-down and page down to be
	scrollPageDown:. pageDown: and pageUp: can now be reached via
	control-pageup and alt-pageup resp. control-pagedown and alt-pagedown.
	Patch by Wolfgang Lux <wolfgang.lux@gmail.com>.

2007-02-28  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSScrollView.h: Add ivar
	_autohidesScrollers. Move private method to implementation file.
	* Source/NSScrollView.m (-init): Remove as this is the same as in
	the super class.
	* Source/NSScrollView.m (-autohidesScrollers,
	-setAutohidesScrollers:, -reflectScrolledClipView:): Add support
	for auto hidding of scrollers.
	* Source/NSScrollView.m (-initWithCoder:): Decode the value for
	_autohidesScrollers.	

2007-02-28  Nicola Pero  <nicola.pero@meta-innovation.com>

	* configure.ac: Use gnustep-config to set GNUSTEP_MAKEFILES
	if not set.
	* GNUmakefile: Same change.
	* configure: Regenerated.

2007-02-27  Fred Kiefer <FredKiefer@gmx.de>

	* Panels/GSPrintPanel,
	* Panels/GSPageLayout: Updated to new Gorm format and made
	elements transparent. Patch by Ingolf Jandt <i.jandt@web.de>.

2007-02-27  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSClipView.m (-initWithFrame:): Replace the wrong
	initialise [init].
	* Source/NSClipView.m (-viewFrameChanged:, -documentVisibleRect,
	-dealloc): Simplified methods.
	* Source/NSClipView.m (-setDocumentView:): Remove only
	notifications that get added here.
	* Source/NSClipView.m (-setBounds:): Add method.

2007-02-27  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Source/GNUmakefile.preamble (GNUSTEP_INSTALL_PREFIX): Variable
	removed as it could not work with custom filesystem layouts.
	(GNUSTEP_TOOLS_NO_DESTDIR): New variable.
	(ADDITIONAL_CPPFLAGS): Pass GNUSTEP_TOOLS_NO_DESTDIR, not
	GNUSTEP_INSTALL_PREFIX.
	* Source/NSPasteboard.m ([+_pbs]): Use GNUSTEP_TOOLS_NO_DESTDIR
	instead of GNUSTEP_INSTALL_PREFIX. 
	* Source/NSSound.m ([+gsnd]): Same change.
	* Source/NSWorkspace.m ([-findApplications]): Same change.

2007-02-27  Nicola Pero  <nicola.pero@meta-innovation.com>

	* gnustep-gui-debug.spec.in: Obsolete file removed.
	* GNUmakefile (CVS_MODULE_NAME): Do not set (exports should be
	done from subversion now).
	* Documentation/GNUmakefile.postamble (after-install): Use
	MKINSTALLDIRS, not MKDIRS, to create installation directories.

2007-02-27  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTabView.m (-initWithFrame:): Set _selected_item to NSNotFound.
	* Source/NSTabView.m (-selectNextTabViewItem:,
	-selectPreviousTabViewItem:): Handle _selected_item being
	NSNotFound correctly. Patch by Wolfgang Lux <wolfgang.lux@gmail.com>.

2007-02-26  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSLayoutManager.m: ([drawGlyphsForGlyphRange:atPoint:])
	Implement selected text color ... use the value set in the textview
	or if that is not supplied, fall back to selectedTextColor.
	Fix ([drawBackgroundForGlyphRange:atPoint:]) to use
	([textViewForBeginningOfSelection]) to determine selected text color.

2007-02-22  Matt Rice  <ratmice@gmail.com>

	* Source/NSAlert.m (-_initWithoutGModel): Add missing nil
	at end of call to -dictionaryWithObjectsAndKeys:

2007-02-22  Sergii Stoian <stoyan255@gmail.com>

        * Source/NSWindow.m: (_lossOfKeyOrMainWindow): Add sanity checks.
	Optimize.
	* Source/NSLayoutManager.m: (-drawBackgroundForGlyphRange:atPoint):
	Use the text view's selected text attributes. Remove TODO.
	* Source/NSAlert.m: (-_initWithoutGModel): Set selected text
	background color to white. Now we can see selection of message text.

2007-02-21  Sergii Stoian <stoyan255@gmail.com>

        * Source/NSAlert.m: (-_initWithoutGModel): 
	Make buttons refuse first responder to avoid drawing
	dashed frame and protec from selecting potentially dangerous 
	buttons	by accident.
	(-_makeButtonWithRect:): Change style of button from 
	NSMomentaryPushButton to NSMomentaryPushInButton.

2007-02-20  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAlert.m: (-_initWithoutGModel): Set the message field
	to not draw its background.
	* Source/NSTabViewItem.m: Whitespace changes to conform to coding
	standards.
	* Source/NSTabViewItem.m (-drawLabel:inRect:): Moved drawing of
	background into NSTabView. Only there do we know, how to adjust
	the rectangle correcty.
	* Source/NSTabViewItem.m (-initWithCoder:): Autorelease some ivars
	that don't get retained to prevent memory leak.
	* Source/NSTabView.m (-insertTabViewItem:atIndex:,
	-removeTabViewItem:): Adjust selection, if needed. 
	* Source/NSTabView.m (-minimumSize, -contentRect,
	-encodeWithCoder:, -initWithCoder:): Handle more type cases. 
	* Source/NSTabView.m (-drawRect:): Rewrote to simplify and correct
	code. Moved drawing of the label background to here.
	
2007-02-19  Enrico Sersale <enrico@fibernet.ro>

	* Source/NSAlert.m: (-_initWithoutGModel): 
	added [setImageDimsWhenDisabled: NO} to not show the application icon dimmed.
  
2007-02-19  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMatrix.m (cellFrameAtRow:column:, drawRect:,
	getRow:column:forPoint:): Removed special handling for non-flipped
	case. Patch by Andreas Höschler <ahoesch@smartsoft.de>.

2007-02-18  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSDocument.m (runModalSavePanel:withAccessoryView:): Only
	set accessory view when not nil. Workaround for bug #19031.

2007-02-16  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSMenuItemCell.m: fixup glitch with drawing of horizontal
	menu items overwriting menu border.
	* Source/NSMenuView.m: use menubar font size to calculate menubar
	height.
	* Source/GSInfoPanel.m: send theme panel action for click on theme.

2007-02-16  Sergii Stoian <stoyan255@gmail.com>

	* Headers/AppKit/NSTextView.h: Enable disabled insertion point
	blinking code.

	* Source/NSTextView.m:
	(drawRect:): Draw insertion point using _drawInsertionPointNow
	ivar. Cleanup code.
	(_blink:): Enable disabled insertion point blinking code.
	(updateInsertionPointStateAndRestartTimer:): Implement insertion 
	point blinking. Remove TODO.

2007-02-15  Nicola Pero <nicola.pero@meta-innovation.com>

	* configure.ac: Source GNUstep.sh then use GNUSTEP_SYSTEM_HEADERS
	and GNUSTEP_SYSTEM_LIBRARIES if available rather than using
	hardcoded paths.
	* configure: Regenerated.

2007-02-14  Sergii Stoian <stoyan255@gmail.com>

	* Source/NSMenuView.m:
	(menuBarHeight): Fix calculation. Set minimum height to 22.
	(setFont:): Fix calculation default cell size.
	
	* Source/NSLayouManager.m:
	(_insertionPointRectForCharacterIndex:textContainer:): Use
	default font height for insertion point height if there is
	no characters.
	(insertionPointRectForCharacterIndex:inTextContainer:): Remove
	insertion point rectangle correction.

2007-02-14  Nicola Pero <nicola.pero@meta-innovation.com>

	* Source/GNUmakefile (libgui-resources_INSTALL_DIR): New variable
	for newer gnustep-makes.
	* Resources/GNUmakefile (gui-resources_INSTALL_DIR): Same change.

2007-02-09  Adam Fedor  <fedor@gnu.org>

	* TextConverters/RTF/GNUmakefile.preamble: Add BUNDLE_LIBS.

	* Source/NSImage.m: Move documentation from here.
	* Header/AppKit/NSImage.h: To here.
	* Headers/AppKit/NSImageRep.h, : Add documentation. (patch #5714).

2007-02-09  Fred Kiefer <FredKiefer@gmx.de>
	
	* Source/GNUmakefile: Install header file NSKeyValueBinding.h.

2007-02-07  Fred Kiefer <FredKiefer@gmx.de>

	* Image/NSRatingLevelIndicator.tiff,
	* Headers/AppKit/NSLevelIndicatorCell.h,
	* Headers/AppKit/NSLevelIndicator.h,
	* Source/NSLevelIndicator.m,
	* Source/NSLevelIndicatorCell.m: Add MacOS 10.4 classes.
	* Headers/AppKit/AppKit.h: Publish the MacOS 10.4 classes.
	* Source/GNUmakefile: Compile and install new classes and image.
	Code by Nikolaus Schaller <hns@computer.org>.
	
2007-02-06  Matt Rice  <ratmice@gmail.com>
	
	* Source/NSBrowser.m (-doClick:): Don't reselect the selected cells.
	Fixes bug #18881
	* Source/NSMatrix.m (-_selectPreviousSelectableCellBeforeRow:column): 
	Update _selectedCells for the new selection.
	(-_selectNextSelectableCellAfterRow:column:):
	Ditto.

2007-02-05  Matt Rice  <ratmice@gmail.com>

	* Headers/AppKit/NSOutlineView.h: Update documentation.

2007-02-05  Matt Rice  <ratmice@gmail.com>

	* Source/NSTableView.m (-_numRows): New quasi private method.
	(-noteNumberOfRowsChanged:): Call _numRows instead of data source
	method.
	* Source/NSOutlineView.m (-noteNumberOfRowsChanged:): Don't override
	supers.
	(-_numRows): Implement.
	(-collapseItem:collapseChildren:): Remove use of _selectedObjects.
	(-expandItem:expandChildren:): Ditto.
	(-_removeChildren:): Ditto.
	(-initWithFrame:): Don't initialize _selectedObjects.
	(-initWithCoder:): Ditto.
	* Headers/AppKit/NSOutlineView.h: Mark _selectedObjects as unused.
	
2007-02-05  Matt Rice  <ratmice@gmail.com>

	* Source/NSOutlineView.m (-mouseDown:): Check item expandability before
	expanding or collapsing.

2007-02-05  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSMenuItem.h: Add MacOS 10.3 methods and
	additional ivars.
	* Source/NSMenuItem.m: Implement MacOS 10.3 methods.
	* Source/NSMenuItem.m (-dealloc, -encodeWithCoder:,
	-initWithCoder:, -copyWithZone): Handle new ivars.

2007-02-04  Matt Rice  <ratmice@gmail.com>

	* Source/NSTableView (-mouseDown:): Release oldSelectedRows.
	Mark done as yes instead of returning early, and avoid sending action
	multiple times.

2007-02-04  Matt Rice  <ratmice@gmail.com>
	
	* Source/NSTableView (-mouseDown:): Compute the selection immediately
	instead of at the end of the loop.

2007-02-04  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSImageView.m: fix minor error in dragging offset.

2007-02-04  Matt Rice  <ratmice@gmail.com>

	* Source/NSTableView.m (-mouseDown:): Return early after tracking a 
	cell which prefersTrackingUntilMouseUp.
	* Source/NSPopUpButtonCell.m (+prefersTrackingUntilMouseUp:): Return
	yes.
	(-trackMouse:inRect:ofView:untilMouseUp:): Return yes or no
	depending on whether the mouse went up inside the menu or not.
	Fixes bug #18946

2007-01-31  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSFontInfo.m:
	* Source/NSFont.m:
	* Headers/Additions/GNUstepGUI/GSFontInfo.h:
	Add stubs for numberOfGlyphs and coveredCharacterSet

2007-01-30  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-_setupTextWithFrame:inView:editor:delegate:range:, 
	-endEditing:): Revert to always use a clip view, but with different size.
	
2007-01-29  Matt Rice  <ratmice@gmail.com>

	* Source/NSTableView.m: Revert previous patch.

2007-01-28  Matt Rice  <ratmice@gmail.com>
	
	* Source/NSTableView.m (-textDidEndEditing:): Handle
	NSIllegalTextMovement.
	
	* Source/NSTableView.m (-textDidEndEditing:): Add missing break
	to previous commit.

2007-01-27  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSMenuItemCell.h: Remove ivar
	_backgroundColor. Add ivar _needs_display.
	* Source/NSMenuItemCell.m (-drawingRectForBounds:): Move push in
	adjustment to here.
	* Source/NSMenuItemCell.m (-drawBorderAndBackgroundWithFrame:):
	Draw the background here and not in [drawInteriorWithFrame:inView:]
	* Source/NSMenuItemCell.m (-backgroundColor:, -tag,
	-setNeedsDisplay:, -needsDisplay): New methods.
	* Source/NSMenuItemCell.m (-setMenuItem:, -setHighlighted:,
	-init): Mark as needing sizing.
	* Source/NSMenuItemCell.m (-setMenuView:): Switch off border and
	move image to left side for horizontal menus.
	* Source/NSMenuItemCell.m (-titleRectForBounds:,
	-imageRectForBounds:): Add a few more calls to [calcSize].
	* Source/NSMenuItemCell.m (-drawTitleWithFrame:inView:): Remove
	setting of enable state.
	* Source/NSMenuItemCell.m (-drawInteriorWithFrame:inView:): Add
	call to separator drawing. Share more of the code between
	horizontal and vertical menus.

	* Source/NSMenuItemCell.m (-_keyEquivalentString): Determine
	string to display for key equivalent. 
	Code by Nikolaus Schaller <hns@computer.org>.

2007-01-25  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSButtonCell.m (-encodeWithCoder:, -initWithCoder:):
	Corrected coding and decoding of bezel style.
	* Source/GSTheme.m (-drawCircularBezel:withColor:,
	-drawRoundBezel:withColor:) New methods to draw bezel. 
	Code by Nikolaus Schaller <hns@computer.org>.
	* Source/GSTheme.m (-buttonBorderForStyle:state:,
	-drawButton:view:style:state:): Handle some of the bezel styles.
	
2007-01-24  Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/AppKit/NSButtonCell.h: Fix documentation error.
	* Headers/AppKit/NSMenu.h: Tidy a litte, fix errors in documentation
	markup, fix some documentation cross references.

2007-01-24  Stefan Bidigaray

	* Headers/AppKit/NSMenu.h: Add documentation (patch #5705).

2007-01-23  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m (-selectAll:, -deselectAll:) Call
	[setNeedsDisplay:], if something was changed.

2007-01-23  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSBox.h: 
	* Headers/AppKit/NSButtonCell.h: 
	Add documentation for NSTitlePosition and NSButtonType. 
	Patch by <stefanbidi@gmail.com>.
	
	* Source/GSTheme.m (-buttonBorderForStyle:state:): Removed unused variable.
	
2007-01-23  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSTheme.h, 
	* Source/GSTheme.m (-buttonBorderForStyle:state:): New method to
	determine the button border size.
	* Headers/Additions/GNUstepGUI/GSTheme.h (-drawButton:...state:),
	* Source/GSTheme.m (-drawButton:view:style:state:): Don't return a result.
	* Source/NSCell.m (-drawInteriorWithFrame:inView:,
	-drawWithFrame:inView:): Bring drawing of focus ring inline
	with the one in NSButtonCell.
	* Headers/AppKit/NSButtonCell.h: Add MacOS 10.4 methods and
	additional ivars and changed enumerator values. 
	* Source/NSButtonCell.m: Implemented new methods. 
	* Source/NSButtonCell.m (-setButtonType:): Use new enumerator values.
	* Source/NSButtonCell.m (-_init): Use method call to set button type.
	* Source/NSButtonCell.m (-drawInteriorWithFrame:inView:,
	-drawWithFrame:inView:): Use new methods for the drawing.
	* Source/NSButtonCell.m (-cellSize, -drawingRectForBounds:): Use
	new theme method to determine border size.
	* Source/NSButtonCell.m (-encodeWithCoder:, -initWithCoder:):
	Encode/decode new and previously missing ivars.
	* Source/NSMenuItemCell.m (-drawingRectForBounds:): Moved old super
	class code to here.
	* Source/NSToolbarItem.m (GSToolbarButtonCell
	-drawImage:withFrame:inView:): Renamed method to match with
	superclass change and simplified implementation.

2007-01-23  Matt Rice  <ratmice@gmail.com>

	* Source/NSWindow.m (-_lossOfKeyOrMainWindow): Use GSOrderedWindows.

2007-01-19  Sergii Stoian <stoyan255@gmail.com>

	* Source/GSTheme.m (-drawButton:view:style:state:): Call 
	[drawButton:withClip:] instead of [drawGreyBezel:withClip:] if
	state is highlighted (e.g. scroller buttons).

2007-01-19  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopUpButton.m (-keyDown:): Handle selection of first
	entry correctly. Patch by Phillipe Roussel <p.o.roussel@free.fr>

2007-01-19  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSDocument.m: fix include path (bug #18829)

2007-01-18  Adam Fedor  <fedor@gnu.org>

	* Source/NSBitmapImageRep+PNM.m ([NSBitmapImageRep
	-_initBitmapFromPNM:errorMessage:]): Check for invalid image size. 

2007-01-18  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-setFloatingPointFormat:left:right:): Basic
	implementation.
	* Source/NSCell.m (-setUpFieldEditorAttributes:,
	_setupTextWithFrame:inView:editor:delegate:range:, endEditing:, 
	editWithFrame:...event:, selectWithFrame:...length:): Changed to
	handle more text attributes and non-scrolling text. 
	* Source/NSCell.m (-setScrollable:): If switched on, switch wraps off.
	* Headers/AppKit/NSCell.h: Corrected version number for some methods.

	* Headers/AppKit/NSControl.h: Add MacOS 10.4 methods.
	* Source/NSControl.m: Implement new MacOS 10.4 methods.
	* Source/NSControl.m (-mouseDown): Once more removed action mask
	fiddling. This time there is protection that the control itself
	does not go away.
	* Source/NSControl.m (-textDidBeginEditing:, -textDidChange:,
	-textDidEndEditing:): Extracted code to be shared between subclasses.
	* Source/NSTextField.m,
	* Source/NSTableView.m,
	* Source/NSMatrix.m (-textDidBeginEditing:, -textDidChange:,
	-textDidEndEditing:): Call shared super code.
	
2007-01-17  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSResponder.h: Add MacOS 10.4 methods.
	* Source/NSResponder.m: Implement new MacOS 10.4 methods.
	* Headers/AppKit/NSDocumentFrameworkPrivate.h: Remove.
	* Source/NSDocumentFrameworkPrivate.h: Add.
	* Source/GNUmakefile: Don't install NSDocumentFrameworkPrivate.h.
	* Headers/AppKit/NSDocument.h: Add MacOS 10.4 methods and
	additional ivars. Rename ivars to adopt to coding standards.
	* Source/NSDocument.m: Implement new MacOS 10.4 methods adopted
	to changes of ivar names.
	* Headers/AppKit/NSDocument.h: Add MacOS 10.4 methods and
	additional ivars. Rename ivars to adopt to coding standards.
	* Source/NSDocument.m: Adopt include of NSDocumentFrameworkPrivate.h. 
	Implement new MacOS 10.4 methods and adopt to changes of ivar names.
	* Headers/AppKit/NSDocumentController.h: Add MacOS 10.4 methods and
	additional ivars. Rename ivars to adopt to coding standards. Fix includes.
	* Source/NSDocumentController.m: Adopt include of NSDocumentFrameworkPrivate.h. 
	Implement new MacOS 10.4 methods and adopt to changes of ivar names.
	* Headers/AppKit/NSWindowController.h: Rename ivars to adopt to coding standards.
	* Source/NSWindowController.m: Adopt include of NSDocumentFrameworkPrivate.h.
	Adopt to changes of ivar names.
	
	* Headers/AppKit/NSPrintOperation.h: Add MacOS 10.4 methods and
	additional ivars. Rename ivars to adopt to coding standards.
	* Source/NSPrintOperation.m: Implement new MacOS 10.4 methods and
	adopt to changes of ivar names. 
	* Source/GSPrintOperation.m,
	* Source/GSEPSPrintOperation.m,
	* Printing/GSLPR/GSLPRPrintOperation.m,
	* Printing/GSCUPS/GSCUPSPrintOperation.m: Adopt to changes in super class.

	* Headers/AppKit/NSCell.h: Add MacOS 10.4 methods and
	additional ivars. Store the state in two bits only. Rename ivar to
	adopt to coding standards. Move mnemonic_location into flags.
	* Source/NSCell.m: Implement new MacOS 10.3 and 10.4 methods and
	adopt to changes of ivar names. Add encoding and decoding of new
	ivars and improve keyed coding and decoding.
	
	* Headers/AppKit/NSColor.h: Adopt values of NSControlTint
	enumerator to Cocoa values.
	* Headers/AppKit/NSParagraphstyle.h: Add protection against double inclusion.
	* Source/GSServicemanager.m,
	* Source/NSAttributedString.m,
	* Source/NSView.m,
	* Source/NSApplication.m: Correct includes to avoid compiler warnings.

2007-01-14  Stefan Bidigaray

	* Source/NSWindow.m:
	* Source/NSBitmapImageRep.m:
	* Headers/AppKit/NSBitmapImageRep.h:
	* Headers/AppKit/NSApplication.h:
	* Headers/AppKit/NSView.h:
	Document various bits and pieces, mostly typedefs.

2007-01-13  Matt Rice  <ratmice@gmail.com>

	* Source/NSMatrix.m (_selectCell:atRow:column:): Call setNextState
	when in Track or Highlight mode.
	(-keyDown:): Call -selectCellAtRow:column: in Track or Highlight mode.

2006-12-28  Matt Rice  <ratmice@gmail.com>

	* Source/NSTextFieldCell.m (-drawInteriorWithFrame:): Draw disabled
	cell background with controlBackgroundColor.
	* Source/NSCell.m (-drawInteriorWithFrame:): Draw disabled cell text
	with disabledControlTextColor.
	* Source/NSSecureTextFieldCell (-drawInteriorWithFrame:): Draw
	disabled cell with controlBackgroundColor.
	* Source/NSTableView.m (rectOfColumn:): Use the height of the rows,
	not the bounds.

2006-12-27  Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/Additions/GNUstepGUI/GSTheme.h: Store images in dictionary.
	* Source/GSTheme.m: Improve handling of named images.
	* Source/NSButtonImageSource.[hm]: Partial implementation of classes
	to handle standard images in buttons (support theming etc).

2006-12-21  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSWindow.h
	Added missing delegate methods.
	* Source/NSResponder.m (-undoManager):
	Forward method to next responder.
	* Source/NSWindow.m (-undoManager):
	Try to get an undo manager from delegate or document.
	* Source/NSTextView.m
	(-shouldChangeTextInRange:replacementString:): Added basic support
	for undo.
	
2006-12-19  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSObjectController.h
	* Headers/AppKit/NSUserDefaultsController.h
	* Headers/AppKit/NSKeyValueBinding.h
	* Headers/AppKit/NSArrayController.h
	* Headers/AppKit/NSController.h
	* Source/NSObjectController.m
	* Source/NSUserDefaultsController.m
	* Source/NSArrayController.m
	* Source/NSController.m:
	New files added as basic support for controllers. 
	Mostly not implemented.
	* Source/GNUmakefile
	* Source/externs.m:
	Add these new classes and helper variables.

2006-12-18  Saso Kiselkov

	* Source/NSAlert.m: Left align long alert messages.

2006-12-11  Adam Fedor  <fedor@gnu.org>

	* Documentation/manual/: File and node name fixes.

2006-12-09  Mark Tracy <tracy454@concentric.net>
	
	* Source/NSBitmapImageRep.m: Autogsdoc comments

2006-12-08  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSInputManager.m:
	Use help function key to enter context help mode rather than
	inserting it into the text.

2006-12-06  Matt Rice  <ratmice@gmail.com>

	* Source/NSTextView.m: Don't update the selection when dragging a
	NSColorPboardType.

2006-12-03  Adam Fedor  <fedor@gnu.org>

	* Documentation/manual/: New AppKit manual.

2006-11-28  Mark Tracy <tracy454@concentric.net>
	Belated update to change log (these went in with svn revision 24140).
	* Source/externs.m: Added definitions for NSBitmapImage properties key
	strings
	* Source/tiff.m: Added implementation of NSTiffIsCodecConfigured(codec)
	* Source/ngimage-tiff.h: Added declaration of
	NSTiffIsCodecConfigured(codec)
	* Source/NSBitmapImageRep+GIF.h: Added declaration of
	_GIFRepresentationWithProperties:errorMessage:
	* Source/NSBitmapImage+GIF.m: Added implementation of
	_GIFRepresentationWithProperties:errorMessage: 
	and static int gs_gif_output(*file, *buffer, len)
	* Source/NSBitmapImage+GIF.m (_initBitmapFromGIF:errorMessage:):
	Changed loop to terminate after the first image block
	is found. Added parsing of graphic control blocks to support
	transparency. If transparency is found, adds an alpha channel.
	Saves the color table in _properties.
	* Source/NSBitmapImage+PNG.h: Added declaration of 
	_PNGRepresentationWithProperties:
	* Source/NSBitmapImage+PNG.m: Added implementation of
	_PNGRepresentationWithProperties:
	and static void writer_func(png_struct, data, length)
	* Source/NSBitmapImage+PNG.m: (_initBitmapFromPNG:):
	Added experimental support for the property NSImageGamma 
	* Source/NSBitmapImage+JPEG.h: Replaced declaration of
	representationUsingType:properties
	with declaration of _JPEGRepresentationWithProperties:errorMessage:
	and removed category (JPEGWriting)
	* Source/NSBitmapImage+JPEG.m: Renamed 
	representationUsingType:properties as 
	_JPEGRepresentationWithProperties:errorMessage:
	and reworked it significantly to support alpha stripping, error
	messages, and NSImageProgressive property. NSImageCompressionFactor
	now is 0-255 instead of 100-0 quality factor. Returns a real error
	message instead of crashing.
	* Source/NSBitmapImage+JPEG.m: (_initBitmapFromJPEG:errorMessage:)
	Added support for NSImageProgressive property.
	* Headers/AppKit/NSBitmapImageRep.h: Added extern declarations for the
	properties key strings. Added declaration for NSMutableDictionary *
	_properties. Added NSImageJPEG2000FileType to the NSImageFileType enum.
	* Source/NSBitmapImageRep.m: (canCompressUsing:): Changed to use the 
	new NSTiffIsCodecConfigured(codec) instead of a static list.
	* Source/NSBitmapImageRep.m: (getTIFFCompressionTypes:count:):
	Changed to use the new NSTiffIsCodecConfigures(codec) instead of a
	static list.
	* Source/NSBitmapImageRep.m: (_localFromCompressionType:): Changed from
	an instance method to a class method.
	* Source/NSBitmapImageRep.m: (_CompressionTypeFromLocal:): Changed from
	an instance method to a class method.
	* Source/NSBitmapImageRep.m: (TIFFRepresentationUsingCompression:factor:):
	Changed to use new implementation of _localFromCompressionType:
	* Source/NSBitmapImageRep.m: (initFromTIFFImage:number:): Changed to
	use new implementation of _CompressionTypeFromLocal: and added support
	for NSImageCompressionMethod and NSImageCompressionFactor properties
	* Source/NSBitmapImageRep.m: (initWithBitmapDataPlanes:pixelsWide:
	pixelsHigh:bitsPerSample:samplesPerPixel:hasAlpha:isPlanar:
	colorSpaceName:bytesPerRow:bitsPerPixel:): 
	Changed to initialize _properties dictionary
	* Source/NSBitmapImageRep.m: (dealloc:): Changed to release _properties
	* Source/NSBitmapImageRep.m: (setProperty:withValue:) Implemented
	functional code in place of TODO:
	* Source/NSBitmapImageRep.m: (valueForProperty:) Implemented functional
	code in place of TODO:
	* Source/NSBitmapImageRep.m: (representationUsingType:properties:):
	Implemented working code in place of TODO: It supports writing PNG, 
	TIFF, GIF and JPEG, with stubs for BMP and JPEG-2000.
	* Source/NSBigmapImageRep.m: (representationOfImageRepsInArray:
	usingType:properties:): Incomplete implementation in place of TODO:

2006-11-24  Matt Rice  <ratmice@gmail.com>

	* Source/NSWindowController.m (_windowDidLoad:): Pass an NSZeroPoint to
	cascadeTopLeftFromPoint: on the first call.

2006-11-23  Matt Rice  <ratmice@gmail.com>

	* Source/NSTableView.m (_trackCellAtColumn:row:withEvent:): 
	Remove check for column editablity.

2006-11-21  Matt Rice  <ratmice@gmail.com>

	* Source/NSWindow.m (sendEvent:): Fix dragging for views which accept
	dragging with subviews which accept dragging.

2006-11-20  Matt Rice  <ratmice@gmail.com>

	* Source/NSTextView_actions.m: Change cursor movement implementations
	when collapsing a selection. 
	* Source/NSParagraphStyle.m (-setBaseWritingDirection:): Add comment.
	* Source/NSAttributedString: Add and remove characters in the word
	break character	set.
	* KeyBindings/DefaultKeyBindings.dict: Change control-f and control-b
	to moveForward: and moveBackward:


2006-11-19  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSAffineTransform.m:
	* Headers/AppKit/NSAffineTransform.h:
	Remove basic implementation (now in base for MacOS-X compatibility)
	retaining gui specific methods and GNUstep extensions (to deprecate?)
	* Source/NSImage.m:
	* Source/NSStringDrawing.m:
	* Source/NSView.m:
	Update to use transformStruct accessor method rather than trying to
	work with the affine transform ivars directly.

2006-11-18  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSScrollView.m: Adjust corner view when scroller is on right.

2006-11-17  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m:
	* Source/NSButtonCell.m:
	* Source/NSScrollView.m:
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	Merge in theme changes for scrollviews and cleaner button drawing api.

2006-11-16  Adam Fedor  <fedor@gnu.org>

	* Model/GMAppKit.m ([NSImage +createObjectForModelUnarchiver:]):
	  Allow loading of images from the owners bundle (patch from
	  Georg Fleischmann.

2006-11-15  Nicola Pero  <nicola.pero@meta-innovation.com>

	Notice: you should now use 'make DESTDIR=/tmp/xxx install' if you
	want to relocate all the installation into /tmp/xxx/
	* Makefile.postamble: Use DESTDIR instead of INSTALL_ROOT_DIR
	everywhere.
	
	* ColorPickers/GNUmakefile: (GNUSTEP_INSTALLATION_DOMAIN): Use
	GNUSTEP_INSTALLATION_DOMAIN instead of GNUSTEP_INSTALLATION_DIR.
	* Documentation/GNUmakefile: Same change.
	* Documentation/General/GNUmakefile: Same change.
	* Documentation/GuiUser/GNUmakefile: Same change.
	* Images/GNUmakefile: Same change.
	* Model/GNUmakefile: Same change.
	* Panels/GNUmakefile: Same change.
	* PrinterTypes/GNUmakefile: Same change.
	* Resources/GNUmakefile: Same change.
	* Source/GNUmakefile: Same change.
	* Tools/GNUmakefile: Same change.
	* Tools/gsnd/GNUmakefile: Same change.

	* Printing/GSLPR/GNUmakefile (GNUSTEP_INSTALLATION_DOMAIN): Same change,
	plus set GNUSTEP_INSTALLATION_DOMAIN before common.make and not after.

	* Panels/GNUmakefile.postamble: Fixed all install/uninstall
	targets that were failing to create the install directories
	properly.  Also, added ECHO macros so that 'make messages=yes'
	works properly.
	
2006-11-12  Matt Rice  <ratmice@gmail.com>
	
	* Source/NSTableView.m (-noteNumberOfRowsChanged:): Post selection
	is and did change notifications if changing the selected rows.
	* Source/NSSliderCell.m (-copyWithZone:): Make a little clearer.
	* Source/NSMatrix.m (-_rebuildLayoutAfterResize): Don't change the
	intercell spacing if not autosizing cells.

2006-11-11  Matt Rice  <ratmice@gmail.com>

	* Source/NSSliderCell.m: Implement copyWithZone:.

2006-11-10  Matt Rice  <ratmice@gmail.com>

	* Source/NSOutlineView.m: Handle rowAtPoint: returning -1.
	* Source/NSTableView.m (drawRect:): Only call
	-highlightSelectionInClipRect: and -drawGridInClipRect: once.
	(-drawGridInClipRect:): Constrain the vertical grid line to the last row
	drawn in the rect.
	
2006-11-10  Matt Rice  <ratmice@gmail.com>

	* Source/NSTableView.m (rowAtPoint:): Return -1 if the point is under 
	the last row.
	(mouseDown:): Handle rowAtPoint: returning -1.
	(rectOfRows:): Ditto.
	
2006-11-10  Matt Rice  <ratmice@gmail.com>

	* Source/NSTableView.m (mouseDown:): Rename some local variables
	to be less ambiguous.

2006-11-10  Matt Rice  <ratmice@gmail.com>

	* Headers/AppKit/NSTableView.h: Add ivar for
	verticalMotionCanBeginDrag.
	* Source/NSTableView.m: Implement verticalMotionCanBeginDrag
	bump class version.
	* Source/NSTextView_actions.m: Fix method name from previous changes.
	* KeyBindings/DefaultKeyBindings.dict: Add new key bindings.
	* ChangeLog: Add to description of a previous change.

2006-11-09  Matt Rice  <ratmice@gmail.com>

	* Source/NSTableView.m (selectContiguousRegion): Remove usage of
	offsets.

2006-11-08  Matt Rice  <ratmice@gmail.com>

	* Source/NSTableView.m: Implement keyboard navigation/selection.
	Fixes bug #11942.
	(-selectRow:byExtendingSelection:): Update _clickedRow.
	(-mouseDown:): Ditto.
	* Source/NSSlider.m (keyDown:): Call supers implementation if we don't
	use the key stroke.

2006-11-07  Matt Rice  <ratmice@gmail.com>
	
	* Source/NSTableView.m: Whitespace changes to conform to coding
	standards.

2006-11-07  Matt Rice  <ratmice@gmail.com>

	* Source/NSTableView.m (-mouseDown): Only call editWithFrame: from a
	double click. Don't track cells from a mouse dragged.
	Add comments.

2006-11-06  Matt Rice  <ratmice@yahoo.com>

	* Source/NSTextView_actions.m: Fix keyboard movement scrolling 
	when selecting text off the bottom or right of the visible area.

2006-11-06  Matt Rice  <ratmice@yahoo.com>

	* Source/NSTextView_actions.m: Remove hack from previous patch.

2006-11-06 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSDisplayServer.m: Improve documentation of window ordering
	* Source/NSWindow.m: ditto
	* Source/NSApplication.m: Fix minor bug with cleanup on termination
	when the appicon was suppressed.
	* Source/NSAttributedString.m:
	* Source/NSClipView.m:
	* Source/NSApplication.m:
	* Source/NSImage.m:
	* Headers/AppKit/NSSound.h:
	* Headers/AppKit/NSTextAttachment.h:
	* Headers/AppKit/NSPopUpButtonCell.h:
	* Headers/AppKit/NSPanel.h:
	* Headers/AppKit/NSTableHeaderCell.h:
	* Headers/AppKit/NSSpellServer.h:
	* Headers/AppKit/NSAlert.h:
	* Headers/AppKit/NSColorList.h:
	* Headers/AppKit/NSWindowController.h:
	* Headers/AppKit/NSScreen.h:
	* Headers/AppKit/NSOpenPanel.h:
	* Headers/AppKit/NSSliderCell.h:
	* Headers/AppKit/NSImageCell.h:
	* Headers/AppKit/NSAffineTransform.h:
	* Headers/AppKit/NSText.h:
	* Headers/AppKit/AppKitDefines.h:
	* Headers/AppKit/NSParagraphStyle.h:
	* Headers/AppKit/NSBox.h:
	* Headers/AppKit/AppKitExceptions.h:
	* Headers/AppKit/NSTableHeaderView.h:
	* Headers/AppKit/NSAttributedString.h:
	* Headers/AppKit/NSWorkspace.h:
	* Headers/AppKit/NSPopUpButton.h:
	* Headers/AppKit/NSFontManager.h:
	* Headers/AppKit/NSFormCell.h:
	* Headers/AppKit/NSMenu.h:
	* Headers/AppKit/NSMatrix.h:
	* Headers/AppKit/NSWindow.h:
	* Headers/AppKit/NSLayoutManager.h:
	* Headers/AppKit/NSButtonCell.h:
	* Headers/AppKit/NSColorPicker.h:
	* Headers/AppKit/NSActionCell.h:
	* Headers/AppKit/NSImageView.h:
	* Headers/AppKit/NSOpenGLView.h:
	* Headers/AppKit/NSDataLinkManager.h:
	* Headers/AppKit/NSClipView.h:
	* Headers/AppKit/NSSplitView.h:
	* Headers/AppKit/NSBitmapImageRep.h:
	* Headers/AppKit/NSInputServer.h:
	* Headers/AppKit/NSTextFieldCell.h:
	* Headers/AppKit/NSImageRep.h:
	* Headers/AppKit/NSBezierPath.h:
	* Headers/AppKit/NSGraphics.h:
	* Headers/AppKit/NSResponder.h:
	* Headers/AppKit/NSColorWell.h:
	* Headers/AppKit/NSApplication.h:
	* Headers/AppKit/NSForm.h:
	* Headers/AppKit/NSWindow+Toolbar.h:
	* Headers/AppKit/NSTableColumn.h:
	* Headers/AppKit/NSNib.h:
	* Headers/AppKit/NSComboBox.h:
	* Headers/AppKit/NSMovieView.h:
	* Headers/AppKit/NSButton.h:
	* Headers/AppKit/NSSavePanel.h:
	* Headers/AppKit/NSColor.h:
	* Headers/AppKit/NSMovie.h:
	* Headers/AppKit/NSCachedImageRep.h:
	* Headers/AppKit/NSStepper.h:
	* Headers/AppKit/NSPrinter.h:
	* Headers/AppKit/NSHelpManager.h:
	* Headers/AppKit/NSMenuItemCell.h:
	* Headers/AppKit/NSPasteboard.h:
	* Headers/AppKit/DPSOperators.h:
	* Headers/AppKit/AppKit.h:
	* Headers/AppKit/NSTextContainer.h:
	* Headers/AppKit/NSNibDeclarations.h:
	* Headers/AppKit/NSToolbar.h:
	* Headers/AppKit/NSSearchFieldCell.h:
	* Headers/AppKit/NSCursor.h:
	* Headers/AppKit/NSPrintOperation.h:
	* Headers/AppKit/NSControl.h:
	* Headers/AppKit/NSInterfaceStyle.h:
	* Headers/AppKit/NSMenuItem.h:
	* Headers/AppKit/NSScroller.h:
	* Headers/AppKit/NSDocumentFrameworkPrivate.h:
	* Headers/AppKit/NSInputManager.h:
	* Headers/AppKit/NSRulerMarker.h:
	* Headers/AppKit/NSProgressIndicator.h:
	* Headers/AppKit/NSGraphicsContext.h:
	* Headers/AppKit/NSFont.h:
	* Headers/AppKit/NSTextStorage.h:
	* Headers/AppKit/NSSearchField.h:
	* Headers/AppKit/NSOutlineView.h:
	* Headers/AppKit/NSPageLayout.h:
	* Headers/AppKit/NSTextView.h:
	* Headers/AppKit/NSFileWrapper.h:
	* Headers/AppKit/NSTabViewItem.h:
	* Headers/AppKit/PSOperators.h:
	* Headers/AppKit/NSDragging.h:
	* Headers/AppKit/NSDocumentController.h:
	* Headers/AppKit/NSColorPicking.h:
	* Headers/AppKit/NSDrawer.h:
	* Headers/AppKit/NSCustomImageRep.h:
	* Headers/AppKit/NSRulerView.h:
	* Headers/AppKit/NSMenuView.h:
	* Headers/AppKit/NSSecureTextField.h:
	* Headers/AppKit/NSNibLoading.h:
	* Headers/AppKit/NSHelpPanel.h:
	* Headers/AppKit/NSComboBoxCell.h:
	* Headers/AppKit/NSToolbarItem.h:
	* Headers/AppKit/NSImage.h:
	* Headers/AppKit/NSSlider.h:
	* Headers/AppKit/NSStepperCell.h:
	* Headers/AppKit/NSStringDrawing.h:
	* Headers/AppKit/NSOpenGL.h:
	* Headers/AppKit/NSDataLink.h:
	* Headers/AppKit/NSScrollView.h:
	* Headers/AppKit/NSColorPanel.h:
	* Headers/AppKit/NSEPSImageRep.h:
	* Headers/AppKit/NSSpellProtocol.h:
	* Headers/AppKit/NSTabView.h:
	* Headers/AppKit/NSDataLinkPanel.h:
	* Headers/AppKit/NSPrintInfo.h:
	* Headers/AppKit/NSUserInterfaceValidation.h:
	* Headers/AppKit/NSPrintPanel.h:
	* Headers/AppKit/NSCell.h:
	* Headers/AppKit/NSEvent.h:
	* Headers/AppKit/NSTableView.h:
	* Headers/AppKit/NSBrowserCell.h:
	* Headers/AppKit/NSNibConnector.h:
	* Headers/AppKit/NSSelection.h:
	* Headers/AppKit/NSTextField.h:
	* Headers/AppKit/NSSpellChecker.h:
	* Headers/AppKit/NSView.h:
	* Headers/AppKit/NSDocument.h:
	* Headers/AppKit/NSBrowser.h:
	* Headers/AppKit/NSFontPanel.h:
	* Headers/Additions/GNUstepGUI/GSTable.h:
	Update to use current version macros and fix a few documentation
	errors.

2006-11-06  Matt Rice  <ratmice@yahoo.com>

	* Source/NSTextView_actions.m: Implement some undocumented key binding
	actions.

2006-11-06  Matt Rice  <ratmice@yahoo.com>

	* Source/NSTextView_actions.m:
	* Source/NSOpenPanel.m:
	* Source/GSLayoutManager.m:
	* Source/NSLayoutManager.m:
	* Source/NSSavePanel.m:
	* Source/NSTextView.m:
	* Source/NSStringDrawing.m:
	* Headers/Additions/GNUstepGUI/GSLayoutManager_internal.h:
	* Headers/AppKit/NSTextView.h: Remove underscores from category names
	as they can confuse the debugger.

2006-11-05  Matt Rice  <ratmice@yahoo.com>
	
	* Source/NSSlider.m (-keyDown:): Implement, Fixes bug #14000.
	* Source/NSSliderCell.m (-trackMouse:...): Fix allows tick marks
	only mouse tracking.
	
2006-11-05  Matt Rice  <ratmice@yahoo.com>

	* Source/NSColorPanel.m: Implement -worksWhenModal:. Fixes bug #9417.

2006-11-02  Matt Rice  <ratmice@yahoo.com>

	* Source/NSTableView (_editNextCellAfterRow:inColumn:): 
	Wrap around when number of rows is exceeded.
	
2006-11-02 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m:
	* Source/GSInfoPanel.m:
	Merge in changes from theme branch...
	Support tiling when drawing button cells.
	Make theme panel link visible, as someone suggested that having
	it totally hidden was not so good. Perhaps make it more explicit
	in future?

2006-11-01  Matt Rice  <ratmice@yahoo.com>
	
	* Source/NSTableView.m:
	(-editColumn:row:withEvent:select:): Raise when passed an unselected
	row.
	(-textDidEndEditing:): Handle NSReturnTextMovement.
	(_editNextCellAfterRow:inColumn:): New private method.
	

2006-11-01  Matt Rice  <ratmice@yahoo.com>

	* Source/NSTableView.m: Add new private methods.
	(-mouseDown:): Reorganize and don't track cells until dragging 
	has been ruled out.
	* Source/NSCell.m (trackMouse:inRect:ofView:untilMouseUp:):
	Handle events no longer in the queue.
	* Source/GSDragView.m: Change NSLog to NSDebugLLog.

2006-10-31  Matt Rice  <ratmice@yahoo.com>

	*  Tools/gopen.m
	*  Source/NSView.m
	*  Source/GSPDFPrintOperation.m
	*  Source/NSHelpManager.m
	*  Source/GSHelpManagerPanel.m: Add missing includes.

2006-10-31 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWorkspace.m: add missing include

2006-10-30  Matt Rice  <ratmice@yahoo.com>

	* Source/NSComboBoxCell.m (validateSelection): Test for invalid row.

2006-10-28  Adam Fedor  <fedor@gnu.org>

	* Source/NSApplication.m (initialize_gnustep_backend): Use
	GSBackend class directly when backend is compiled as a library.
	(Partial fix for Bug #16453, see also gnustep-back).

2006-10-27  Matt Rice  <ratmice@yahoo.com>

	* Source/NSAlert.m: Add GSRunExceptionPanel function
	and GSExceptionPanel class.
	* Headers/AppKit/NSPanel.h: Declare GSRunExceptionPanel.
	* Source/NSApplication.m (_NSAppKitUncaughtExceptionHandler):
	Use GSRunExceptionPanel.

2006-10-27  Matt Rice  <ratmice@yahoo.com>
	
	* Source/NSTableView.m (-setFrame:,-setFrameSize:): Use
	documentVisibleRect. Shrink if table is larger than needed height.
	fixes bug #18117.
	(-drawBackgroundInClipRect:): Draw the background. 
	* Source/NSClipView.m (-documentVisibleRect:): Return the clip views
	visible rect converted to the document views coordinate system.

2006-10-24  Matt Rice  <ratmice@yahoo.com>

	* Source/NSApplication.m (NSAppIcon -mouseDown:): Call unhide:
	regardless of whether we're hidden or not.

2006-10-22  Matt Rice  <ratmice@yahoo.com>

	* Source/NSTableView.m (-mouseDown:): Check for empty selection.
	when adding to the current selection. Fixes bug #15261.

2006-10-21  Matt Rice  <ratmice@yahoo.com>

	* Headers/AppKit/NSGraphics.h: Add GSOrderedWindows function.
	* Source/NSApplication.m (NSAppIconView -mouseDown:): Use
	GSOrderedWindows.
	(NSApplication -deactivate): Ditto.
	(-hide:): Ditto.
	(-unhideWithoutActivation:): Ditto.
	(-makeWindowsPerform:inOrder): Ditto.
	(-orderedWindows:): Ditto.
	(-windowWillClose:): Ditto.
	* Source/GSDisplayServer.m: Implement -windowlist.
	* Source/NSWindow.m (NSCountWindowList,NSWindowList): Use -windowlist.
	(GSOrderedWindows): Initial implementation.

2006-10-21 11:30-EDT Matt Rice <ratmice@yahoo.com>
	
	* Source/NSTableView.m: If the tableview is smaller than
	it's clipview, then resize it so that it fits.  
	Corrects bug#9608 and bug#18073.
	Patch committed by: Gregory Casamento <greg_casamento@yahoo.com>
	
2006-10-19 21:17-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSMenuItemCell.m: Correct menu highlighting issue
	found by applying changes suggested by Jeff Teunissen.   This
	change causes the menu to use the correct text color when
	highlighted. (minor change)

2006-10-19 Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSTheme.m:
	Have tile filling method return rect of central tile area.
	* Source/NSView.m: Fixup indentation problems.

2006-10-19 01:45-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSView.m: Applied patch from Banlu Kemiyatorn.  Corrects
	issue with detection of events in a rotated view.

2006-10-16 20:53-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSFont.m: Apply slightly modified version of patch
	from Jeff Teunissen deek@d2dc.net to setNSFont().  Setting
	a font should set its size. (minor change)
	* Source/NSImage.m: Set the alpha on the background when printing.

2006-10-15 11:23-EDT Mark Tracy <tracy454 at concentric dot net>
	
	* Source/NSPageLayout.m: NSPageLayout was setting a default page 
	scale of 100 cause: pageScale factor is displayed as percentage fix: 
	pageScale*100 sent to textfield and textfield/100 stored in pageScale. 
	NSPageLayout had different limits on scaling than NSPrintPanel fix: 
	adjust formatter max.
	* Source/NSPrintOperation.m: NSPrintOperation would loop randomly 
	if a custom view replies YES to -knowsPageRange cause: 
	-_printPaginateWithInfo did not initialize info->pageScale, 
	info->xpages, info->ypages fix: in -_printPaginateWithInfo 
	set default pageScale=1.0 outside conditional fix: in -_print 
	set xpages and ypages from viewPageRange as reported by custom view.
	* Source/NSView.m: -beginDocument was misplacing subviews when 
	generating PostScript for printing fix: force regeneration of 
	coordinates.
	Patch Applied by Gregory Casamento
	
2006-10-15 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSBrowser.m:
	* Source/NSSound.m:
	* Source/NSTextAttachment.m:
	* Source/NSPopUpButtonCell.m:
	* Source/NSPanel.m:
	* Source/NSImageCell.m:
	* Source/NSSliderCell.m:
	* Source/GSGormLoader.m:
	* Source/NSParagraphStyle.m:
	* Source/NSFormCell.m:
	* Source/NSMenu.m:
	* Source/NSWindow.m:
	* Source/NSButtonCell.m:
	* Source/NSImageView.m:
	* Source/NSActionCell.m:
	* Source/NSDataLinkManager.m:
	* Source/NSClipView.m:
	* Source/NSBitmapImageRep.m:
	* Source/NSTextFieldCell.m:
	* Source/NSColorWell.m:
	* Source/GSTextStorage.m:
	* Source/NSApplication.m:
	* Source/NSTableColumn.m:
	* Source/GSVbox.m:
	* Source/NSNib.m:
	* Source/NSCachedImageRep.m:
	* Source/NSPrinter.m:
	* Source/NSTextContainer.m:
	* Source/GSNibLoader.m:
	* Source/GSNibCompatibility.m:
	* Source/GSTrackingRect.m:
	* Source/NSSearchFieldCell.m:
	* Source/NSControl.m:
	* Source/GSHbox.m:
	* Source/NSProgressIndicator.m:
	* Source/GSModelLoaderFactory.m:
	* Source/NSTextStorage.m:
	* Source/NSTextView.m:
	* Source/NSDocumentController.m:
	* Source/NSMenuView.m:
	* Source/NSSecureTextField.m:
	* Source/NSComboBoxCell.m:
	* Source/NSImage.m:
	* Source/NSStepperCell.m:
	* Source/NSDataLink.m:
	* Source/NSScrollView.m:
	* Source/NSBundleAdditions.m:
	* Source/NSCell.m:
	* Source/GSTable.m:
	* Source/NSTableView.m:
	* Source/NSBrowserCell.m:
	* Source/NSSelection.m:
	* Source/NSTextField.m:
	* Source/NSView.m:
	* Source/NSDocument.m:
	Fixup some minor coding standard violations ... add white space.
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSTheme.m:
	Add control for caching of tiles.  Add another fill style for tiling.
	Make fill style names avoid possible name clashes by using GS prefix.

2006-10-12 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSImageView.m: Fix error in initial drag position.
	* Source/GSTheme.m: Improve display of current theme information.

2006-10-11 Nicola Pero <nicola.pero@meta-innovation.com>

	* GNUmakefile (GNUSTEP_INSTALLATION_DOMAIN):
	Use GNUSTEP_INSTALLATION_DOMAIN
	instead of GNUSTEP_INSTALLATION_DIR.

2006-10-09 Richard Frith-Macdonald <rfm@gnu.org>

	* Documentation/GuiAdditions.gsdoc:
	* Documentation/Gui.gsdoc:
	* Documentation/GuiUser/KeyboardSetup.gsdoc:
	* Documentation/GuiUser/LanguageSetup.gsdoc:
	* Documentation/GuiUser/DefaultsSummary.gsdoc:
	* Documentation/ReleaseNotes.gsdoc:
	* Documentation/General/OpenStepCompliance.gsdoc:
	Update dtd version

2006-10-08 23:47-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Images/GNUmakefile: Copy GSStop.tiff and GSSearch.tiff to the
	installation directory.  They were previously missing.

2006-10-07 10:20-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Implement init in NSIBHelpConnector.

2006-10-07 10:13-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Implement establishConnection in 
	NSIBHelpConnector.

2006-10-07 10:02-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Declaration
	for NSIBHelpConnector ivars and methods.
	* Source/GSNibCompatibility.m: Implemented NSIBHelpConnector.
	* Source/NSBundleAdditions.m: Added check to initWithCoder so that
	values aren't decoded, if there's no value in the coder.

2006-10-06 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTrackingRect.m: Allow reset rect to another value.
	* Source/GSToolTips.m: Improve handling of tips in rects other than
	the main one.

2006-10-06 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSToolTips.h: Remove some ivars
	* Source/GSToolTips.m: Move ivars to be static variables for common
	use by all tool tips.  Cancel an in-progress tooltip when a new one
	starts.

2006-10-04 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSToolTips.h: create tool tip wondow fully on screen
	* Source/GSToolTips.m: ditto
	* Source/NSView.m: very minor tooltip efficiency tweak.
	* Version: Bump to 0.12 for next

2006-10-04 Enrico Sersale <enrico@fibernet.ro>

	* Source/NSView.m: In -setToolTip: sets the has_tooltips flag.

2006-10-04 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWindow.m: Add help key support for context help.
	* NSToolbarItem.m: Implement tool tips.
	* GSToolTips.m: Use correct font.

2006-10-02 20:41-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Resources/Esperanto.lproj/Localizable.strings
	* Resources/German.lproj/Localizable.strings
	* Resources/Italian.lproj/Localizable.strings
	* Resources/Lojban.lproj/Localizable.strings: Correct grammar
	in localization bundles as well.

2006-10-02 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GNUmakefile: Add GSToolTips.[hm]
	* Source/NSWindow.m: Add private tooltip functionality.
	* Source/GSToolTips.h: Interface to let views and windows handle tips.
	* Source/GSToolTips.m: ToolTip implementation ... main part.
	* Source/NSView.m: Use GSToolTips to implement tool tips.
	* Headers/AppKit/NSResponder.h: Add a flag for views with tool tips.
	Basic implementation of tool tip help.

2006-10-02  Nicola Pero <nicola.pero@meta-innovation.com>

	* configure.ac: Check the new variable GNUSTEP_IS_FLATTENED,
	and default to yes.
	* configure: Regenerated.

	* Source/GSTheme.m: Worked arond a compiler bug that would abort
	compilation on GCC 3.3.3 20040412 (Red Hat Linux 3.3.3-7).  Avoid
	[NSMutableSet set] as the compiler is confusing +(id)set with
	-(void)set.
	
2006-10-02 08:19-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSDocumentController.m: Correct grammar in 
	reviewUnsavedDocumentsWithAlertTitle:...  "Quit Anyways" should
	be "Quit Anyway".

2006-10-01 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTrackingRect.m:
	* Source/NSView.m:
	* Headers/AppKit/NSView.h:
	Fix tracking rect bug ... the owner of the rectangle should not
	be retained by a tracking rect (but should be retained by a cursor
	rect).  Updated documentation to clearly state what mis retained.

2006-10-01 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m: Add rudimentary inspector.
	Make themes in panel be in alphabetical order except for the
	default theme (always first in the list).
	Allow setting of default theme for application.
	* Source/NSHelpManager.m: Implement context help cursor.
	* Source/NSHelpPanel.m: Implement simple fallback help panel display
	for systems where no rtf/rtfd viewing application is installed.
	* Source/NSResponder.m: Tweak context help
	* Source/NSCursor.m: tidied a little
	* Images/GNUmakefile: Install context help cursor
	* Images/common_HelpCursor.tiff: add context help cursor

2006-09-30 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSColor.m: Remove debug log message.
	* Source/GSInfoPanel.m: Open theme handling panel.
	* Source/GSTheme.m: Rudimentary theme handling panel.
	* Headers/Additions/GNUstepGUI/GSTheme.h: A few more methods.
	Start adding a panel to allow selection of themes in a running app.

2006-09-29 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWindow.m: If ordering out a deferred window which was
	never ordered in, there is nothing to do.
	* Source/NSMenu.m: (_organize) when switching from horizontal to
	vertical menu, attempt to restore contents fo the app menu to the
	main menu in a reasonable manner.
	* Source/NSHelpManager.m: Use the help file specified in Info.plist
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSTheme.m: Add -authors and -icon methods. Support loading
	from an absolute path.

2006-09-28 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTheme.m: Update main menu on theme activation.
	* Source/NSMenu.m: ([setMain:]) handle change of interface style.
	* Source/NSInterfaceStyle.m: Observe/handle theme activation.
	* Headers/AppKit/NSMenu.h: remove internal method from public header
	* Headers/Additions/GNUstepGUI/GSTheme.h: add -infoDictionary method
	and documentation.

2006-09-26 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWorkspace.m: Use png in preference to tiff.
	* Source/NSMenu.m: Remove unused extension from icon names.
	* Source/NSSplitView.m: ditto
	* Source/NSOutlineView.m: ditto
	* Source/NSTabView.m: ditto

2006-09-25  Matt Rice <ratmice@yahoo.com>

	* Source/NSTableView.m (_shouldEditTableColumn:row:):
	Dont invert delegate return value.

2006-09-24 Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/Additions/GNUstepGUI/GSDisplayServer.h:
	* Source/GSDisplayServer.m: Revert unnecessary addition to api
	* Source/NSWindow.m: Use ([flushwindowrect::]) for expose events.
	* Source/GSDragView.m: Don't drop expose events.

2006-09-23  Matt Rice <ratmice@yahoo.com>

	* Source/NSTableView.m (_isCellEditableColumn:row:): Allow
	delegate to limit editablility of editable columns.

2006-09-23 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSWindowDecorationView.m: comment out dubious change.
	* Source/GSDisplayServer.m: Add method for expose events
	* Source/NSWindow.m: Handle expose events.
	* Headers/AppKit/NSEvent.h: Add expose event type.
	* Headers/Additions/GNUstepGUI/GSDisplayServer.h: Add method for
	expose events.

2006-09-22 Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/AppKit/NSColorList.h: Add documentation.
	* Source/NSColorList.m: Fix ([-writeToFile:]) to work as specified
	by Apple's documentation.

2006-09-22 Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/Additions/GNUstepGUI/GSDrawFunctions.h:
	* Headers/Additions/GNUstepGUI/GSTheme.h:
	* Source/GSDrawFunctions.m:
	* Source/GSTheme.m:
	Renamed file.
	* Source/NSBrowser.m:
	* Source/NSTableHeaderCell.m:
	* Source/GSWindowDecorationView.m:
	* Source/NSImageCell.m:
	* Source/NSBox.m:
	* Source/GNUmakefile:
	* Source/NSFormCell.m:
	* Source/NSButtonCell.m:
	* Source/NSColorWell.m:
	* Source/NSColor.m:
	* Source/NSMenuItemCell.m:
	* Source/GSTitleView.m:
	* Source/NSProgressIndicator.m:
	* Source/DocMakefile:
	* Source/NSComboBoxCell.m:
	* Source/NSStepperCell.m:
	* Source/NSScrollView.m:
	* Source/NSTabView.m:
	* Source/NSCell.m:
	* Source/NSTableView.m:
	* Documentation/GuiAdditions.gsdoc:
	Update for rename of 'GSDrawFunctions to GSTheme.
	Change all class based access to drawing methods to go via current
	instance.
	Remove all class based versions of drawing methods.

2006-09-22 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSWindowDecorationView.m: Merge in theme branch changes.
	* Source/NSColorList.m: Cooperate with NSColor to change system
	color list when a new theme is activated.
	* Source/GSDrawFunctions.m: Merge in theme branch changes.
	Reorganize, add theme loading functionality, add image tiling
	methods.
	* Source/NSButtonCell.m: Merge in theme branch changes.
	* Source/NSColor.m: Take notice of themes changing the system
	color list and interface with NSColorList to make the chanes and
	then send out the notification to tell all observers.
	* Source/GSTitleView.m: call instance method rather than class method
	* Source/DocMakefile: Document theme changes
	* Source/NSTabView.m: call instance method rather than class method
	* Documentation/GuiAdditions.gsdoc: link to theme documentation
	* Documentation/General/GNUmakefile: make theme documentation
	* Headers/AppKit/NSWindow.h: improve comments
	* Headers/Additions/GNUstepGUI/GSDrawFunctions.h: reorganize

2006-09-21  Matt Rice <ratmice@yahoo.com>

	* Source/NSTextFieldCell.m (-setEnabled:): Revert previous patch.

2006-09-20  Matt Rice <ratmice@yahoo.com>

	* Source/NSTextField.m (-mouseDown:): Check if the control is
	disabled. (bug #13916)
	(-acceptFirstResponder:): Return no if disabled.
	(-acceptFirstMouse:): Ditto.
	* Source/NSTextFieldCell.m (-setEnabled:): Reset the string value 
	to an empty string if disabling.

2006-09-20 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSWindowDecorationView.m: ([removeSubview:]) override to
	check for removal of the window's content view and handle that
	case so that the window knows the content view has gone.

2006-09-17  Matt Rice <ratmice@yahoo.com>

	* Source/NSDocument.m (-initWithContentsOfFile:ofType:): Set the
	file name and type before attempting to read the document.

2006-09-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m (-_isCellEditableColumn:row:): Correced
	error in last patch, pointed out by David Ayers <ayers@fsfe.org>. 

2006-09-17  Fred Kiefer <FredKiefer@gmx.de>

	* Images/GSSearch.tiff,
	* Images/GSStop.tiff: New icons for the NSSearchButtonCell by 
	Nikolaus Schaller <hns@computer.org>.

2006-09-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m: Changed _isCellEditable into a method
	[_isCellEditableColumn:row:] and use this everywhere. Have this new
	method check, if the table column is editable and only when not ask
	the delegate wether the cell should be editable. The matches the Cocoa
	behaviour as reported by Quentin Mathe <qmathe@club-internet.fr>. 
	* Source/NSTableView.m (-editColumn:row:withEvent:select:): Allow
	selection of cell, even when the data source is not editable. 
	* Source/NSTableView.m (-mouseDown:): Abort editing.
	* Source/NSOutlineView.m (-editColumn:row:withEvent:select:):
	Similar changes to super class, plus some code reordering and correction.
	
2006-09-16 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSColor.m: Fix memory leak (bug #17769)

2006-09-13 00:28-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/AppKit/NSDrawer.h: Added ivars to support implementation.
	* Source/GSNibCompatibility.m: Moved comments to top, for gcc < 3.0
	compilation.
	* Source/NSDrawer.m: Added GSDrawerWindow implementation and
	implementation of some methods in NSDrawer to interact with the 
	window.

2006-09-12 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSWindowDecorationView.m: Simplify/rewrite to have the view
	always match the window frame so that the window base coordinate
	system has its origin at the bottom left corner of the window frame.
	* Headers/AppKit/NSWindow.h: Improve documentation
	* Headers/Additions/GNUstepGUI/GSDisplayServer.h: ditto

2006-09-06 Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/AppKit/NSWindow.h: Add some documentation about what
	frame management methods should do.  Remove some bogus additional
	methods for messing with frames.
	* Source/NSWindow.m: ([cascadeTopLeftFromPoint:]) implement to match
	MacOS-X specification.  Remove unused additional frame methods.
	* Source/GSWindowDecorationView.h:
	* Source/GSWindowDecorationView.m:
	* Source/GSStandardWindowDecorationView.m:
	Remove unused/unnecessary methods and simplify.
	NB. These fixups require corresponding fixups in the backend.

2006-09-05 Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSBitmapImageRep+JPEG.m: Fix declaration position causing
	compile failure on older compilers.  Make more consistent with coding
	(indentation and white space usage) standards.

2006-09-04 00:23 Nicolas Roard <nicolas@roard.com>

	* Source/NSBitmapImageRep+JPEG.m: Added JPEG writing support to 
	NSBitmapImageRep. Only handles RGB images (NS*RGBColorSpace). 
	You can specify the compression ratio by using the 
	NSImageCompressionFactor key in the properties dictionary.

2006-09-03 12:12-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSStandardWindowDecorationView.m: Put back RELEASE to
	prevent memory leak.
	* Source/NSControl.m: Reverted last change.
	* Source/NSWindow.m: Added autogsdoc comments to methods.

2006-08-31 00:21-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSStandardWindowDecorationView.m: Correct issue in 
	initWithFrame:window: that was causing a crash when the window 
	was closed.
	* Source/NSControl.m: Reinstated fix from Fred Kiefer for 
	mouseDown: simplification and refactoring. 

2006-08-29  Adam Fedor  <fedor@gnu.org>

	* Documentation/ReleaseNotes.gsdoc: Updates.

2006-08-28 00:00-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 0.11.0
	
2006-08-26 22:30-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibLoader.m: loadModelData:... Remove TEST_RELEASE 
	from handler block.
	* Source/NSColor.m: initWithCoder: retain autoreleased instances
	of NSColor to prevent double release when the pool is cleared.
	* Source/NSControl.m: initWithCoder: retain cell to prevent
	double release when the pool is cleared.
	* Source/NSFont.m: initWithCoder: retain autoreleased instances
	of NSFont to prevent double release when the pool is cleared.

2006-08-26 18:25-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSTableView.m: initWithCoder: minor cleanup.
	* Source/NSTextFieldCell.m: Retain text/background colors to 
	prevent crash.

2006-08-26 10:01-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: In [NSIBObjectData initWithCoder:] 
	clean up the buildMap calls.  In NSCustomResource retain the resource
	that is returned to prevent a crash.  Add dealloc method to 
	NSCustomObject.
	* Source/NSClipView.m: In initWithCoder: retain and release
	documentView before removing it from the view and resetting
	it as the document view.   This ensures that the view will
	not be deallocated.
	* Source/NSScrollView.m: Retain the contentView before exchanging
	it and then release to prevent the view from being deallocated in
	initWithCoder:
	* Source/NSTableView.m: Replace call to "new" with alloc/init for
	NSTableHeaderView in initWithCoder:
	* Source/NSView.m: in initWithCoder: keyed coding don't release
	the subs array since it's already autoreleased.  This was causing
	a crash.

2006-08-21  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBrowser.m (-encodeWithCoder:): Moved variable
	declaration to the beginning of the block to not break old
	compilers deliberately.

2006-08-20 12:14-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSApplication.m: Remove keys from initWithCoder: and 
	encodeWithCoder:.
	* Source/NSCell.m: Initialize the cell based on content in 
	initWithCoder:.
	* Source/NSFormCell.m: Removed unnecessary decoding of NSContents key
	in initWithCoder: since it is already done in NSCell.m.
	* Source/NSMatrix.m: initWithCoder:/encodeWithCoder: added 
	autosizesCells flag and clear flags which are not used
	prior to encoding.
	* Source/NSPopUpButtonCell.m: Implemented encoding in 
	encodeWithCoder:.

2006-08-19 15:56-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSBrowser.m: Added comment in encodeWithCoder:.

2006-08-19 10:33-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSBrowserCell.m: Improved encoding and decoding in
	encodeWithCoder: and initWithCoder:
	* Source/NSBrowser.m: Improved encoding and decoding in
	encodeWithCoder: and initWithCoder:
	* Source/NSScrollView.m: Improved encoding and decoding in
	encodeWithCoder: and initWithCoder:

2006-08-17 00:54-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSButtonCell.m: Improvements in both initWithCoder: and
	encodeWithCoder: utilize the setCellAttribute:to: method and
	the cellAttribute: method to determine settings when saving
	to a keyed archive.

2006-08-16 00:53-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSTabView.m: Corrections in initWithCoder: and 
	encodeWithCoder: to properly encode items and tabview orientation.

2006-08-15 01:02-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Added oids method.
	* Images/common_Printer.tiff: Replaced old printer icon with one
	created from the PrefsIcon_SelectSpooler_Tile.jpg image on the website.
	* Source/GSNibCompatibility.m: Added oids method to get the map.

2006-08-13 16:18-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSCell.m: Conditionally encode the formatter in 
	encodeWithCoder:.
	* Source/NSMenu.m: Change in encodeWithCoder: to add NSName to the
	menu with "_NSMainMenu" as the value so that IB will display the menu
	properly when loading.
	* Source/NSTableView.m: Conditionally encode datasource, delegate, 
	target and action in encodeWithCoder:

2006-08-13 13:05-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSControl.m: Rolling back previous change to mouseDown:
	until it can be determined why it is causing some apps to crash.

2006-08-12 18:37-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Added 
	NSPSMatrix placeholder class.
	* Source/GSNibCompatibility.m: Added dummy implementation of
	NSPSMatrix placeholder class.
	* Source/NSOutlineView.m: Eliminated empty if conditional
	in encodeWithCoder:.
	* Source/NSProgressIndicator.m: Added code to initWithCoder:
	to properly unarchive.  Also implemented encodeWithCoder: and added
	GNUstep specific keys for information that GNUstep uses, but IB
	doesn't.   All GNUstep specific keys should be prefixed with
	GS*.
	* Source/NSTableColumn.m: Implemented encodeWithCoder:.
	* Source/NSTableView.m: Fixes in encodeWithCoder: to correct issues
	during load in InterfaceBuilder.

2006-08-11  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (displayIfNeededInRect:): Check for
	needs_display == YES, instead of NO.
	* Headers/AppKit/AppKit.h: Added missing header files and moved
	the non-OpenStep ones inside the #ifdef.
	* Source/NSTableView.m (-sizeLastColumnToFit): Don't clamp the
	value of the new column width, as the column those this by
	itself, and rely on the automatic tiling

2006-08-11  Fred Kiefer <FredKiefer@gmx.de>
	* Source/NSSlider.m (mouseDown:, trackKnob:knobRect:,
	_floatValueForMousePoint()): Moved all track related code to 
	cell class. 
	* Source/NSSliderCell.m (_floatValueForMousePoint(),
	trackMouse:...untilMouseUp:): Code previously in the NSSlider class.
	Reworked slightly to be more similar to [NSCell trackMouse:...
	untilMouseUp:].

2006-08-11 01:50-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Assign copies of the parameters to
	setClassName: and setExtension:.
	* Source/NSActionCell.m: Encode contro view, since it may be needed
	by IB in encodeWithCoder:
	* Source/NSButtonCell.m: Unarchive controlview for debugging purposes
	in initWithCoder:
	* Source/NSCell.m: Addecomment.

2006-08-10  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSControl.m (mouseDown:): Simplified code to no longer
	fiddle with the cells action mask nor to capture the mouse.

2006-08-09 02:28-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSButtonCell.m: Correct encoding of repeat and delay in
	encodeWithCoder: since they are encoded as integers.

2006-08-09 01:44-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSFont.m: Correct issue with size encoding in encodeWithCoder:
	and initWithCoder:.  Properly encode/decode as a float.
	* Source/NSImageCell.m: Implement encodeWithCoder:.
	* Source/NSImage.m: Comment out code in encodeWithCoder: which
	encodes reps until can determine how to properly encode images.
	* Source/NSImageView.m: implement encoding in encodeWithCoder:
	* Source/NSScrollView.m: Don't encode headerClipView if it's
	nil.
	* Source/NSTextView.m: Properly encode background color in 
	NSTextViewSharedData.
	* Source/NSView.m: Encoding corrections in initWithCoder: and
	encodeWithCoder:.

2006-08-08 21:33-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h
	* Source/GSNibCompatibility.m: Fix for window size issue caused
	by previous change.
	* Source/NSBitmapImageRep.m
	* Source/NSBox.m
	* Source/NSButtonCell.m
	* Source/NSCachedImageRep.m
	* Source/NSImage.m
	* Source/NSTabViewItem.m
	* Source/NSTabView.m
	* Source/NSTextFieldCell.m: Added encoding in encodeWithCoder:

2006-08-09  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSStepper.h
	* Headers/AppKit/NSStepperCell.h: Removed private method declarations.
	* Source/NSStepper.m: Moved code from mouseDown: method to the cell
	method trackMouse:...untilMouseUp:. Also moved the _increment and
	_decrement methods to the cell class.
	* Source/NSStepperCell.m: Rewrote mouse tracking to be more
	similar to NSCell's implementation and not use any direct
	drawing. Do not use hard coded colour values in the drawing
	methods, implemented keyed encoding and cleaned up the rest of the
	class. 
	* Source/NSCell.m (trackMouse:...untilMouseUp:): Moved
	initialisation of periodCount out of the loop. In the old version
	the value stayed always 0.

2006-08-07  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-setBezeled:, -setBordered:): Switch border off,
	if setBezeled: is called and visa versa, independent of the actual
	parameter setting. This matches documented Cocoa behaviour.

2006-08-06 00:30-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Correction in nibInstantiate for 
	window frame.
	* Source/NSActionCell.m
	* Source/NSButtonCell.m
	* Source/NSCell.m
	* Source/NSComboBoxCell.m
	* Source/NSControl.m
	* Source/NSMatrix.m
	* Source/NSTableView.m
	* Source/NSTextContainer.m
	* Source/NSTextStorage.m
	* Source/NSTextView.m: Encoding in encodeWithCoder:.

2006-08-05 09:08-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSMenu.m: encodeWithCoder: encode items and title of
	menu.

2006-08-05 08:43-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h
	* Source/GSNibCompatibility.m: Changed visibleWindows to an Array, as
	it should be.
	* Source/NSView.m: Avoid encoding of super_view in encodeWithCoder: if
	it is the contentView of the window.

2006-07-21  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-setTypingAttributes:): Make sure to keep
	the main parts of the old attributes, if they are not provided by
	the new ones.

2006-07-18 23:11-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Added category on NSView and 
	_fixSubviews method to correct window and superview after 
	loading the nib file. The _fixSubviews method is called in 
	nibInstantiate.
	* Source/GSNibTemplates.m: More helpful error message for when 
	decoding fails due to the user attempting to load a version of
	GSNibContainer that the container doesn't know about in initWithCoder:

2006-07-17 Enrico Sersale <enrico@fibernet.ro>
	
	* Headers/AppKit/NSHelpManager.h: 
	* Source/NSHelpManager.m:
	added -setContextHelp:forObject: as specified in Apple docs;
	-setContextHelp:withObject: deprecated. 

2006-07-16 Enrico Sersale <enrico@fibernet.ro>
	
	* Headers/Additions/GNUstepGUI/GSHelpManagerPanel.h: added -buttonAction: 
	method.
	* Source/GSHelpManagerPanel.m: implemented -buttonAction:.
	added a button to close the panel and changed the style mask of the window 
	to NSTitledWindowMask | NSResizableWindowMask.

2006-07-15 Enrico Sersale <enrico@fibernet.ro>
	
	* Headers/AppKit/AppKit.h: added NSHelpManager.h.
	* Headers/AppKit/NSHelpManager.h: declaration for new method -pathForHelpResource:
	* Source/NSHelpManager.m: implemented -pathForHelpResource: in the NSBundle 
	category. -pathForHelpResource: looks for help files giving the priority
	to localized resources. 
	-showHelp: looks for rtfd files too.
	* Source/GSHelpManagerPanel.m: various fixes to avoid a crash when quitting
	and to resize correctly the NSTextView.

2006-07-14 01:17 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h:
	* Source/GSNibCompatibility.m: Added method initWithWindow:.. to 
	initialize the template from an actual window instance.

2006-07-10 00:12 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSSplitView.m: Keyed encoding changes in initWithCoder:

2006-07-09 10:50 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibTemplates.h: Declaration for 
	new methods: visibleWindows, deferredWindows, & customClasses. 
	* Source/GSNibTemplates.m: Simplification of awakeFromContext: code
	due to new gorm format changes.   Also, changes to init to initialize
	the new ivars, dealloc to release them and modifications to
	initWithCoder: and encodeWithCoder: to decode and encode the new 
	data.  Added new methods: visibleWindows, deferredWindows, & 
	customClasses.
	* Source/NSView.m: Minor cleanup.

2006-07-06 21:35 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSBrowser.m:
	* Source/NSClipView.m:
	* Source/NSScrollView.m:
	* Source/NSTableView.m: Copy some initialization code from 
	initWithFrame: to initWithCoder.
	* Source/NSView.m: Remove from initWithCoder: a call to initWithFrame:
	according to the documentation normal objects in a nib should not have
	thier initWithFrame: method called at the time they are unarchived. 
	Also, copy some initialization code here.

2006-07-04  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSSpellServer.m:
	* Source/NSAlert.m:
	* Source/NSWindowController.m:
	* Source/GSDisplayServer.m:
	* Source/NSWorkspace.m:
	* Source/GSLayoutManager.m:
	* Source/NSWindow.m:
	* Source/NSLayoutManager.m:
	* Source/GSStandardWindowDecorationView.m:
	* Source/GSTextStorage.m:
	* Source/GSHorizontalTypesetter.m:
	* Source/NSColor.m:
	* Source/NSPasteboard.m:
	* Source/NSMenuItem.m:
	* Source/NSPageLayout.m:
	* Source/NSOutlineView.m:
	* Source/NSTextView.m:
	* Source/NSBitmapImageRep+JPEG.m:
	* Source/NSComboBoxCell.m:
	* Source/NSToolbarItem.m:
	* Source/NSImage.m:
	* Source/NSDataLink.m:
	* Source/GSServicesManager.m:
	* Source/NSPrintPanel.m:
	* Source/NSEvent.m:
	* Source/GSDragView.m:
	* Model/GMArchiver.m:
	* Model/IMConnectors.m:
	* Tools/GSspell.m:
	Tweaks to avoid spurious warnings in recent gcc-4.1 and a few casts
	etc to deal with a few real issues when working on 64bit cpus.

2006-07-02  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView.m (-rulerView:didMoveMarker:,
	-rulerView:didRemoveMarker:, -rulerView:didAddMarker:): Removed a 
	compiler warning by adding a type cast.
	* Source/NSTextView.m (-initWithCoder:) Removed unused variables.
	* Source/NSTextView.m (NSTextViewSharedData -dealloc) Call super dealloc.
	* Source/NSApplication.m (-initWithCoder:) Set delegate only when
	the keyed decoder contains it.
	* Source/NSSlider.m (-trackKnob:knobRect:, mouseDown:) Don't draw
	explicitly, as this gets handled automatically by the cell.
	* Source/NSOutlineView.m (-editColumn:row:withEvent:select:) Moved
	the lockFocus call right around the image cell drawing, as it is
	only needed here.

2006-06-25 12:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Added NSDecimalNumberPlaceholder
	class implementation to decode NSDecimalNumber instances in
	nib files.

2006-06-25 00:26 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: in -[NSIBObjectData 
	instantiateWithOwner:topLevelObjects:] properly initialize
	the NSWindowTemplate and fill in the topLevelObjects array.

2006-06-20 20:58 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Added
	declarations for classes and names methods and change return
	type for objects method.
	* Source/GSNibCompatibility.m: Properly return the pointer in
	objects method and also add methods for names, and classes
	maps in the nib file.
	* Source/NSDocument.m: Refuse to write a file for a type which isn't
	native.  If the class method isNativeType: returns YES, then write the
	file in writeToFile:ofType:saveOperation:.
	* Source/NSSliderCell.m: Make the cell non-bordered in initWithCoder:

2006-06-18 14:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Added
	NSIBHelpConnector declaration.
	* Source/GSNibCompatibility.m: Added skeleton implementation of
	NSIBHelpConnector.

2006-06-17 20:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Resize window to window rect 
	size in nibInstantiate.

2006-06-17 10:52 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Removed
	unecessary ivar.
	* Source/GSNibCompatibility.m: Remove some uneeded code. Added
	code to translate a class properly NSClassSwapper when the class has
	a replacement registered with the current NSKeyedUnarchiver.

2006-06-15 00:51 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Added
	new method declarations.
	* Source/GSNibCompatibility.m: Added isInterfaceBuilder method
	here.
	* Source/NSDocument.m: Added code to prevent the popup from
	showing blank when the fileType is set to a non-Editor type.

2006-06-11  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTextView_actions.m (-deleteToEndOfLine:): New method
	based on patch by Andreas Höschler <ahoesch@smartsoft.de>.
	* KeyBindings/DefaultKeyBindings.dict: Enable Control-k.

2006-06-09  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-discardCursorRects) 
	* Source/NSWindow.m (-invalidateCursorRectsForView:): Updated
	version of patch for improved handling of cursor rects to fix bug #5871. 
	Patch by Mircea Trache <aer@shaw.ca>.
	
2006-06-08 00:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibContainer.h: Minor cleanup.
	* Source/GSNibCompatibility.m: Added exception similar to the
	one for NSWindow to classes here, which don't implement non-keyed
	coding.
	* Source/GSNibTemplates.m: Added initial objects for GSCustomClass,
	NSDeferred, NSVisible names in name table.
	* Source/NSWindow.m: Added corrected exception text.

2006-06-04 13:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/AppKit/NSDrawer.h: Added ivar _contentSize to header.
	* Source/NSDrawer.m: Implemented keyed and non-keyed encoding.

2006-06-04 12:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSTrackingRect.m: Encode, if not a keyed archiver.
	* Source/NSApplication.m: Added coding
	* Source/NSDataLink.m: Added coding
	* Source/NSDataLinkManager.m: Added coding
	* Source/NSNib.m: Made comment use "TODO_NIB" instead of TODO, so that
	it can be pulled later.
	* Source/NSParagraphStyle.m: Added TODO_NIB.
	* Source/NSSelection.m: Added coding.
	* Source/NSSound.m: Added TODO_NIB
	* Source/NSTextAttachment.m: Added TODO_NIB.

2006-06-04 01:09 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSHbox.m: Implemented keyed coding.
	* Source/GSNibCompatibility.m: Added private method to help 
	better decode keys/values in the nib data structures.
	* Source/GSTable.m: Implemented keyed coding.
	* Source/GSTextStorage.m: Added code to skip existing
	coding method contents, if the coder is a keyed coder.
	* Source/GSVbox.m: Implemented keyed coding.
	* Source/NSMenuView.m: Added code to skip coding, if
	it is a keyed coder.
	* Source/NSPanel.m: Added comment indicating that the
	call to the superclass initWithCoder method should throw
	an exception per documentation.
	* Source/NSPrinter.m: Added if to skip the coder logic,
	if using a keyed coder.
	* Source/NSStepper.m: Removed dummy initWithCoder:/encodeWithCoder:
	methods since they only called the superclass.
	* Source/NSWindow.m: Added exception called for in the 
	documentation if NSWindow initWithCoder:/encodeWithCoder: 
	is called with a keyed archiver. 

2006-06-03  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPrinter.m (-interpretQuotedValue:, -gethex:): Better
	error reporting on non-hexadecimal substring. Ignore "<<" sequence
	as this is valid as part of a PS command string.  

2006-06-01 00:13 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/AppKit/NSDocumentFrameworkPrivate.h: Addition of new
	private methods to manage file types.
	* Headers/AppKit/NSDocument.h: New ivar _saveType.
	* Source/NSDocumentController.m: Implementation of new private
	methods.
	* Source/NSDocument.m: Changed writeWithBackupToFile:ofType:
	saveOperation: to use new methods to get the human readable
	filetypes to be listed in the dropdown in the savepanel and to
	properly retrieve the extension for the specified filetype 
	and apply it to the backup filename and filename being saved.
	Also modified changeSaveType: to update the save panel's 
	requiredFileType when the type is changed.

2006-05-21  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSApplication.m: Implement MacOS-X behavior (as determined
	by experimentation) of sending ([performKeyEquivalent:]) to main menu
	and to the key window.  This differs from the old behavior of sending
	to all windows and means that popup/pulldown menus on windows other
	than the key window now cannot be activated using key equivalents.

2006-05-30 00:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSDocument.m: Implemented accessory view logic when
	the document can save more than one filetype.

2006-05-29  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSApplication.m: Revert last change which broke menu
	key equivalents for off-screen windows.
	* Source/NSOpenPanel.m: Fix handling CR key equivalent (bug #16688)
	so that panel only takes action when it is active.
	* Source/NSSavePanel.m: ditto
	Fix done by disabling the ok button when the panel is not active,
	but what about if other panels have similar bugs ... shouldn't there
	be some automatic mechanism to stop buttons (but not menu items) from
	responding to key equivalents when a window is not the key window?
	* Source/NSButton.m: ([performKeyEquivalent:]) return NO if blocked
	by a modal window as per macos-x documentation.

2006-05-29 00:58 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSApplication.m: Correction for bug#16688.
	* Source/NSDocumentController.m: Changed comment for currentDirectory.
	* Source/NSDocument.m: Removed "FIXME" since it is inaccurate.
	The signature of the method is the same as in the documentation.

2006-05-27  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-discardCursorRects, -removeCursorRect:cursor:) 
	* Source/NSWindow.m (-invalidateCursorRectsForView:,
	-resetCursorRects): Improved handling of cursor rects to fix bug #5871.
	* Source/NSCursor.m (-mouseExited:): 
	Set the default cursor, when the cursor was set on enter. 
	Patch by Mircea Trache <aer@shaw.ca>.
	
2006-05-23  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTabView.m (-tabViewItemAtPoint:, -mouseDown:): Moved
	conversion of point with view transformation into the mouseDown:
	method to be compatible with Cocoa. 
	Patch by Andreas Höschler <ahoesch@smartsoft.de>.

2006-05-20 18:25 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m
	* Source/NSButtonCell.m: Merged additional changes from 
	NibCompatibility.
	NOTE: All changes which were merged from the NibCompatilibility
	branch are tagged at the end with [NibCompatibility]. 
	
2006-05-20 18:11 Gregory John Casamento <greg_casamento@yahoo.com>

	* ChangeLog
	* Documentation/ReleaseNotes.gsdoc
	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h
	* Headers/Additions/GNUstepGUI/GSNibTemplates.h
	* Headers/AppKit/NSNib.h
	* Source/GNUmakefile
	* Source/GSNibCompatibility.m
	* Source/NSActionCell.m
	* Source/NSBundleAdditions.m
	* Source/NSButtonCell.m
	* Source/NSCell.m
	* Source/NSClipView.m
	* Source/NSColorWell.m
	* Source/NSLayoutManager.m
	* Source/NSMatrix.m
	* Source/NSMenuItem.m
	* Source/NSNib.m
	* Source/NSOutlineView.m
	* Source/NSPopUpButtonCell.m
	* Source/NSScroller.m
	* Source/NSScrollView.m
	* Source/NSSecureTextField.m
	* Source/NSSliderCell.m
	* Source/NSStepperCell.m
	* Source/NSTableView.m
	* Source/NSTextContainer.m
	* Source/NSTextField.m
	* Source/NSTextView.m
	* Source/NSView.m: Merged nib loading code from NibCompatibility.

2006-05-15 21:55 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Streamlined previous change.
	[NibCompatibility]
	
2006-05-15 00:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Add title mask if window has
	a title in the archive.
	* Source/NSPopUpButtonCell.m: Clear and reset the menu
	in the popup button cell initWithCoder: method.
	[NibCompatibility]

2006-05-14 20:58 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Added autosaveName.
	[NibCompatibility]

2006-05-10 23:55 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSButtonCell.m
	* Source/NSCell.m
	* Source/NSMatrix.m: Improved initWithCoder: nib support.
	[NibCompatibility]

2006-05-09 22:48 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSStepperCell.m: Implemented keyed coding.
	[NibCompatibility]

2006-05-07 22:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Added 
	_originalClassName member.
	* Source/GSNibCompatibility.m: use new member in
	instantiateRealObject:withClassName: to allow auto-substitution
	of cell classes.
	* Source/NSSecureTextField.m: Remove code to copy properties.
	[NibCompatibility]

2006-05-07 20:29 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Addition of
	flags fields for the window.
	* Source/GSNibCompatibility.m: Improvments to NSWindowTemplate.
	* Source/NSScrollView.m: Changed unsigned int to unsigned long in
	initWithCoder:
	* Source/NSSecureTextField.m: code to copy the text field cell.
	* Source/NSTextField.m: Changed if and added a comment in 
	initWithCoder:
	[NibCompatibility]

2006-05-07 11:07 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Removed kludge in nibInstantiate:owner:
	method and added a category for NSNibControlConnector to reformat
	the method name.
	[NibCompatibility]

2006-05-07 10:52 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m
	* Source/NSActionCell.m
	* Source/NSCell.m
	* Source/NSSliderCell.m: Changes and improvements to handling of
	cells for nib decoding.
	[NibCompatibility]

2006-05-06 13:09 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSBundleAdditions.m: Unarchive destination before source.
	* Source/NSOutlineView.m: Proper initialization of outline view in
	initWithCoder:
	* Source/NSTableView.m: Rearrangement of keys in initWithCoder:
	[NibCompatibility]

2006-05-05 00:41 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSTextView.m: Completion of code in initWithCoder: for
	keyed unarchiving.
	[NibCompatibility]

2006-05-03 22:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Make
	NSIBObjectData conform to GSNibContainer protocol.
	* Headers/Additions/GNUstepGUI/GSNibContainer.h: New protocol.
	* Headers/Additions/GNUstepGUI/GSNibTemplates.h: Use new protocol
	as protocol for the GSNibContainer object.
	* Source/GNUmakefile: Add GSNibContainer.h to makefile.
	* Source/GSNibCompatibility.m: Implement GSNibContainer methods,
	skeleton implementation for some.
	* Source/NSScrollView.m: Correct issue with horiz/vert scroller.
	* Source/NSTextView.m: More keyed archiving changes.
	[NibCompatibility]

2006-05-03 01:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSLayoutManager.m
	* Source/NSTextContainer.m
	* Source/NSTextView.m: Improved keyed unarchiving for these classes.
	[NibCompatibility]

2006-04-30 17:12 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Addition of keyMap to NSKeyedUnarchiver
	in a category.
	* Source/NSScrollView.m: Change to re-align view only if scroller is
	present.
	* Source/NSTextView.m: Changed initWithCoder:
	* Source/NSView.m: Changed the order of initialization so that the 
	view has it's frame prior to the unarchiving of subviews.
	[NibCompatibility]

2006-04-26 22:34 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSTableView.m: Correction for header view.
	[NibCompatibility]

2006-04-24 22:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Implementation of 
	NSButtonImageSource.
	* Source/NSButtonCell.m: Code to compensate for image
	encoding anomalies in nibs.
	* Source/NSScrollView.m: Changes to properly decode scrollview
	attributes and border settings.
	* Source/NSTableView.m: Changes to properly set height of
	cornerview.
	[NibCompatibility]

2006-04-18 19:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSTableView.m: Corrected code in setHeaderView: to 
	properly set the table view into the header view if it has
	a "setTableView:" method.
	[NibCompatibility]

2006-04-18 00:55 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSScrollView.m: Corrections for keyed decoding of
	border style and other settings.
	* Source/NSTableView.m: Some cleanup of keyed coding.
	[NibCompatibility]

2006-04-15 23:07 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Changed order of decoding.
	* Source/NSScroller.m: Properly set the horiz/vert flags
	* Source/NSScrollView.m: Corrections to keyed decoding and
	contentView handing.
	* Source/NSTableView.m: Corrections to keyed decoding.  Use of a
	struct to decode.
	[NibCompatibility]

2006-04-15 02:41 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSScrollView.m: initWithCoder: modify position of
	clipView due to differences in OSX vs. GNUstep.
	[NibCompatibility]

2006-04-15 02:26 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Comment on _NSHeaderView.
	* Source/NSScrollView.m: Corrected issue with content view and
	keyed coding.
	* Source/NSTableView.m: Added additional initialization logic in
	keyed coder.
	[NibCompatibility]

2006-04-14 00:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Changed ordering to allow views
	to be properly initialized.
	[NibCompatibility]

2006-04-11 23:45 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/AppKit/NSNib.h
	* Source/NSNib.m: Added keyed coding.
	[NibCompatibility]

2006-04-09 23:14 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSModelLoaderFactory.m: Fixed a problem with 
	pathForNibResource:
	[NibCompatibility]

2006-04-09 20:37 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSModelLoaderFactory.h
	* Source/GSGormLoader.m
	* Source/GSModelLoaderFactory.m
	* Source/GSNibLoader.m
	* Source/NSNib.m: Refactoring to make NSNib use the new 
	model loading framework.
	[NibCompatibility]

2006-02-18 08:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Changed aDecoder to coder in
	NSIBObjectData encoderWithCoder: also added code to throw an
	exception if a coder does not support keyed coding.
	[NibCompatibility]
	
2006-01-25 22:31 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h
	* Source/GSModelLoaderFactory.m: Fixes to work with gcc 3.x
	[NibCompatibility]

2006-01-16 00:58 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Minor changes in initWithCoder:
	* Source/NSClipView.m: Added logic to check flags in initWithCoder:
	* Source/NSOutlineView.m: Added initial changes for keyed coding.
	* Source/NSScrollView.m: Added logic to check flags.
	* Source/NSTableView.m: Added logic to check for old grid flag in
	initWithCoder:
	[NibCompatibility]

2006-01-14 09:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSTableView.m: Corrected bits used for columnResizing
	flag in initWithCoder: and encodeWithCoder:
	[NibCompatibility]

2006-01-14 08:58 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSTableView.m: Implemented encodeWithCoder: for NSTableView.
	[NibCompatibility]

2006-01-14 08:29 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: [NSIBObjectData objectForName:] return 
	nil, if the object is not in the array.
	* Source/NSTableView.m: implement decoding of flags in initWithCoder:
	[NibCompatibility]

2006-01-13 00:29 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSColorWell.m: Added keyed coding support in initWithCoder:
	and encodeWithCoder:
	[NibCompatibility]

2006-01-11 01:26 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSSliderCell.m: Encode NSValue for compatibility with
	Cocoa.
	[NibCompatibility]

2006-01-11 01:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Changes to NSViewTemplate.
	* Source/NSSliderCell.m: Addition of code to handle slider to both
	initWithCoder: and encodeWithCoder:
	* Source/NSTextField.m: Removed unecessary empty
	if conditional.
	[NibCompatibility]

2006-01-10 00:12 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Rearranged order of unarchiving in
	[NSIBObjectData initWithCoder:].
	* Source/NSView.m: Added "NSSuperview" to encodeWithCoder:
	[NibCompatibility]

2006-01-09 19:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Rearrange order of unarchiving
	in [NSIBObjectData initWithCoder:] so that NSClassSwapper unarchives
	and replaces itself correctly.
	* Source/NSView.m: Move subview initialization to after
	the decoding section for both keyed/serial archiving in initWithCoder:
	[NibCompatibility]

2006-01-08 14:01 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSMenuItem.m: initWithCoder: added code to decode
	NSSubmenu key so that menus are properly constructed.
	[NibCompatibility]

2006-01-08 13:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Removed forwardInvocation from
	NSClassSwapper.
	* Source/NSMenuItem.m: Added implementation of keyed coding
	to NSMenu initWithCoder:
	[NibCompatibility]

2006-01-07 10:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Encoding for NSIBObjectData, and
	for NSWindowTemplate.  Implementation of NSClassSwapper.
	[NibCompatibility]

2006-01-01 21:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSInstantiator.h: Protocol and
	private method for instantiation.
	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Added new header
	* Source/GNUmakefile: Added new header to makefile.
	* Source/GSNibCompatibility.m: Added nibInstantiation support.
	* Source/NSBundleAdditions.m: Addition of instantiateWithInstantiator:
	[NibCompatibility]

2006-01-01 14:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Added
	NSCustomResource.
	* Source/GSNibCompatibility.m: Added NSCustomResource.
	* Source/GSNibLoader.m: Calls keyed archiver with "IB.objectdata"
	key.
	[NibCompatibility]
	
2006-01-01 09:27 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSModelLoaderFactory.h: Added
	declaration for priority method.
	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h: Added
	awakeWithContext method.
	* Source/GSGModelLoader.m: Added priority method.
	* Source/GSGormLoader.m: Added priority method
	* Source/GSModelLoaderFactory.m: Implemented sorting by priority
	* Source/GSNibCompatibility.m: use ASSIGN in initWithCoder:
	* Source/GSNibLoader.m: Added priority method
	* Source/NSBundleAdditions.m: Removed AUTORELEASE, since the
	loader itself is autoreleased by the factory.
	[NibCompatibility]

2005-12-31 17:25 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibCompatibility.m: Added code to properly initialize the
	maptables.
	[NibCompatibility]

2005-12-31 16:10 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h:
	Added awakeWithContext:
	* Source/GNUmakefile: Added GSNibLoader.m
	* Source/GSGormLoader.m: Changed some log output
	* Source/GSNibCompatibility.m: Added awakeWithContext:
	* Source/GSNibLoader.m: Loader for .nib files.
	[NibCompatibility]

2005-12-31 11:49 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSModelLoaderFactory.h: Removed
	protocol.
	* Source/GSGModelLoader.m:
	* Source/GSGormLoader.m: Removed initialize method
	* Source/GSModelLoaderFactory.m: Renamed 
	abstract class to GSModelLoader.  Added code
	in initialize to register all subclasses of GSModelLoader.
	* Source/NSBundleAdditions.m: Make changes to use new abstract
	class name.
	[NibCompatibility]

2005-12-31 01:31 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GNUmakefile: Added new classes.
	* Source/NSBundleAdditions.m: Changes to use new model loader
	factory and loaders.
	* Source/GSModelLoaderFactory.h 
	* Source/GSModelLoaderFactory.m: Handles model loading in 
	dynamic way.  Allows registration of additional classes to 
	handle loading of guis.
	* Source/GSGormLoader.m: Loader for .gorm files.
	* Source/GSGModelLoader.m: Loader for .gmodel files.
	[NibCompatibility]
	
2005-12-31  Matt Rice  <ratmice@yahoo.com>

	* Source/NSTableView.m (-mouseDown:): Copy the selected cell before
	tracking mouse, add comment. (patch previously reverted 2005-05-30)
	(-mouseDown:): Check for pointer equality in addition to isEqual:
	which doesn't work with nil. (fix for bug #15316)
	
2005-12-30 00:49 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h
	* Source/GSNibCompatibility.m: NSCustomView changes.
	[NibCompatibility]

2005-12-29 00:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h
	* Source/GSNibCompatibility.m: NSClassSwapper, NSCustomView, and 
	NSCustomObject.
	[NibCompatibility]

2005-12-27 20:51 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibCompatibility.h:
	* Source/GSNibCompatibility.m: Addition of classes for true OSX nib
	compatibility.
	[NibCompatibility]
	
2006-05-12  Nicolas Roard <nicolas@roard.com>
	
	* TextConverters/RTF/RTFProducer.h:
	* TextConverters/RTF/RTFProducer.m: Fixed the RTFD generation
	when the attachments do not have filenames. It is now possible
	to write RTFD documents with pasted images.

2006-05-12  Fred Kiefer <FredKiefer@gmx.de>

	* Documentation/GuiUser/DefaultsSuppary.gsdoc,
	* Source/NSApplication.m (-finishLaunching): Changed
	GSDontShowAppIcon to GSSuppressAppIcon.

2006-05-12  Nicolas Roard <nicolas@roard.com>

	* TextConverters/RTF/RTFConsumer.m: reorganized -appendImage: in 
	the RTFDConsumer class to compile with gcc 2.95 and declared the
	method in a private category.

2006-05-12  Nicolas Roard <nicolas@roard.com>

	* TextConverters/RTF/RTFProducer.m: fixed the saving of the embedded
	files by using -lastPathComponent
	* TextConverters/RTF/rtfGrammer.tab.c:
	* TextConverters/RTF/rtfGrammer.y: modified the parser to be more
	flexible (and thus it can now read rtfd produced by gnustep)

2006-05-11  Nicolas Roard <nicolas@roard.com>

	* TextConverters/RTF: added support for reading RTFD documents 
	* TextConverters/RTF/rtfScanner.c:
	* TextConverters/RTF/rtfGrammer.y:
	* TextConverters/RTF/rtfGrammer.tab.h:
	* TextConverters/RTF/rtfGrammer.tab.c: modified the parser and
	the grammar to parse \NeXTGraphic and the associated \width and \height
	although \width and \height are not used to set the image size.
	* TextConverters/RTF/RTFConsumerFunctions.h:
	* TextConverters/RTF/RTFConsumer.h:
	* TextConverters/RTF/RTFConsumer.m: modified the RTFDConsumer class so
	that it holds a list of the files in the rtfd, added an appendImage:
	method which wrap the files and set an attachment cell with the image.
	Also added the RTFNeXTGraphic() function called by the parser.

2006-05-11  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSBundleAdditions.m: ([loadNibNamed:owner:]) add comments

2006-05-11  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSDragging.h,
	* Source/NSColorWell.m,
	* Source/NSImageView.m,
	* Source/NSOutlineView.m,
	* Source/NSSavePanel.m,
	* Source/NSTableView.m,
	* Source/NSTextView.m,
	* Source/NSApplication.m (-draggingEntered:, -draggingUpdated:):
	Changed return value to NSDragOperation.

2006-05-10  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (-finishLaunching): Don't display the
	application icon window if the GSDontShowAppIcon is set to YES.
	Patch by  Saso Kiselkov <diablos@manga.sk>. 
	* Documentation/GuiUser/DefaultsSuppary.gsdoc:
	Document GSDontShowAppIcon.
	* Source/GSDragView.m: Resorted method definitions to remove
	compiler warnings.

2006-05-10  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSBundleAdditions.m: ([loadNibNamed:owner:]) if the NIB can't
	be found in the owners bundle, try the main bundle of the application.
	Fixes loading where the files owner is in a library, framework or
	bundle, but the Gorm/NIB file is in the application resources.
	I'm not sure this is the correct order, perhaps we should try the
	main bundle first and the library/framework only if the rersource
	is not in the main bundle.

2006-05-06  Fred Kiefer <FredKiefer@gmx.de>

	* Resources/Esperanto.lproj/Localizable.string,
	* Resources/German.lproj/Localizable.string: New string
	translations. Patch by Ingolf Jandt <i.jandt@web.de>.	
	* Resources/GNUmakefile: Added new languages.

2006-05-06  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m (-_editNextEditableCellAfterRow:column:,
	_editPreviousEditableCellBeforeRow:column:) Select the new row
	before editing a cell. 
	* Source/NSComboBoxCell.m (GSComboWindow -validateSelection):
	Removed the didChangeText call on the textObject.      
	Patches by Andreas Höschler <ahoesch@smartsoft.de>.
	
2006-05-05  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWindow.m: ([-makeFirstResponder:]) fixed for nil argument.
	* Headers/AppKit/NSWindow.h: documented method.

2006-05-03  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSDisplayServer.h (-nativeWindow:::::):
	Added new method.
	* Source/GSDisplayServer.m (-nativeWindow:::::):
	Implemented this method as subclassResponsibility.
	* Source/NSWindow.m (-initWithWindowRef:], -windowRef):
	Implemented these methods to wrap native window into GNUstep windows.

2006-05-01  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSMatrix..m: ([performKeyEquivalent:]) Check modifier flags
	of cells when determining whether to perform their key equivalents.
	* Source/NSMenu.m: ([performKeyEquivalent:]) Use key equivalent
	modifier mask as suggested by Fred, rather than original hard-coded
	command modifier.

2006-04-30  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSMenu.m: ([performKeyEquivalent:]) Ignore key eqivalents other
	than carriage return if the command key is not pressed.

2006-04-30  David Ayers  <d.ayers@inode.at>

	* ColorPickers/GSNamedColorPicker.m ([-browser:selectRow:inColumn:]):
	Return NO as default value.
	
2006-04-29  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWindow.m: ([-performKeyEquivalent:]) revert last change as
	it broke things because I accidentally faileds to commit corresponding
	NSMenu fix, and because I'm not sure it should be doing it anyway.

2006-04-28  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSApplication.m: ([-sendEvent:]) try key equivalents for
	every key down, not just command modifiers ... consistent with
	MacOS-X and allows carriage return as a button/menu key.
	* Source/NSWindow.m: ([-performKeyEquivalent:]) only pass on to
	our views if this is the key window (NSMenu overrides this).

2006-04-27  Sergii Stoian <stoyan255@yahoo.com>

	* Source/NSMenuView.m (-rectOfItemAtIndex:): Delete origin.x fiddling 
	code because it's not correct. The code wich draws heavy line have to
	update _leftBorderOffset instead.
	(-drawRect:): Always draw dark gray upper and left border.
	
2006-04-24  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSDocumentController.m (-makeUntitledDocumentOfType:):
	Set the type of the new document. Patch by Saso Kiselkov
	<diablos@manga.sk>. 

2006-04-09 12:25 Gregory John Casamento <greg_casamento@yahoo.com>

	* Tools/gopen.m: Streamline gopen code.

2006-04-09 12:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* Tools/gopen.m: Streamline gopen code.

2006-04-06  Adam Fedor  <fedor@gnu.org>

	* Tools/gcloseall.m: Include NSProcessInfo.h. Fixes bug #16212.

2006-03-31  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSMenuView.m: ([-rectOfItemAtIndex:]) fixup origin of
	rectangle to avoid overwriting dark line at left of menu.
	* Source/NSMenu.m: make transient main menu shitf on screen.
	fix bug #15935

2006-03-30  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSMemoryPanel.m: Extend to allow snapshots of the memory
	to be taken so we can compare memory at different points in time.
	Simplify code and fix bug where re-ordering sort in table would
	also change table contents.

2006-03-26  Maurizio Boriani  <baux@gnu.org>

	* Resources/Italian.lproj/Localizable.string: Add missing translations.
	* Resources/Lojban.lproj/Localizable.string: New, lojban strings
	translation.

2006-03-28 20:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* Tools/gopen.m: Added back code in to launch the application properly
	with the -a option.

2006-03-26 12:52 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/AppKit/NSPopUpButtonCell.h: Refactored header, 
	added documentation
	* Source/NSNib.m: Added documentation.
	* Source/NSPopUpButtonCell.m: Improved documentation.

2006-03-26  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSSearchFieldCell.h:
	* Headers/AppKit/NSSearchField.h:
	* Source/NSSearchField.m:
	* Source/NSSearchFieldCell.m: Added headers and basic
	implementation for these classes based on code by 
	Nikolaus Schaller <hns@computer.org>.
	* Source/GNUmakefile: Handle these new classes.

2006-03-24  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSStepperCell.m: Rewrote all button drawing functions to
	use new helper function DrawLightButton to honour colour settings.
	Based on patch idea by Ingolf Jandt <i.jandt@web.de>.
	* Source/NSStepperCell.m (-highlight:upButton:withFrame:inView:):
	Simplified to use [drawWithFrame:inView:].
	* Source/NSColorPanel.m (-_initWithoutGModel): Enable colour wells
	in bottom list.

2006-03-20  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSMenuView.m: ([-rectOfItemAtIndex:]) remove unused code and
	tidy a bit (problem pointed out by Matt Rice).

2006-03-19  Nicolas Roard <nicolas@roard.com>

	* Source/NSSliderCell.m:
	* Source/NSTabView.m:
	* Images/common_SliderHoriz.tiff:
	* Images/common_SliderVert.tiff:
	* Images/common_SwitchOff.tiff:
	* Images/common_SwitchOn.tiff:
	* Images/common_TabDownSelectedLeft.tiff:
	* Images/common_TabDownSelectedRight.tiff:
	* Images/common_TabDownSelectedToUnSelectedJunction.tiff:
	* Images/common_TabDownUnSelectedJunction.tiff:
	* Images/common_TabDownUnSelectedLeft.tiff:
	* Images/common_TabDownUnSelectedRight.tiff:
	* Images/common_TabDownUnSelectedToSelectedJunction.tiff:
	* Images/common_TabSelectedLeft.tiff:
	* Images/common_TabSelectedRight.tiff:
	* Images/common_TabSelectedToUnSelectedJunction.tiff:
	* Images/common_TabUnSelectedJunction.tiff:
	* Images/common_TabUnSelectedLeft.tiff:
	* Images/common_TabUnSelectedRight.tiff:
	* Images/common_TabUnSelectToSelectedJunction.tiff:
	Updated images for the sliders, tabviews and switch buttons. They are
	now transparent; the background is thus filled in the code using [NSColor controlBackgroundColor]. 
	That way the current color scheme is followed. 
	Thanks to Ingolf Jandt <i.jandt@web.de> for the images.

2006-03-13  Adam Fedor  <fedor@gnu.org>

	* Version 0.10.3

2006-03-12  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GNUmakefile:
	* Source/GNUmakefile.preamble:
	* Source/GNUmakefile.postamble: 
	Install header file Cocoa.h.
	
2006-03-08  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSServicesManager.m: avoid use of deprecated method.

2006-03-05  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSScreen.m: ([-visibleFrame]) fix to work when using
	mac style horizontal menu.

2006-03-01  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSMenuView.m: ([-rectOfItemAtIndex:]) Fix bug #15934 by
	removing some bogus code left over from incorporating horizontal
	menu.

2006-02-24  Quentin Mathe <qmathe@club-internet.fr>

	* Source/GSToolbar.m: Fixed mismatched method return type between
	header and implementation.
	* Source/GSToolbarView.m: Updated code to reference some external
	classes lazily with NSClassFromString.
	These fixes avoids some compiler warnings.

2006-02-22 23:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSScreen.m: Correction for visibleFrame, spelling of
	NSInterfaceStyle was incorrect.

2006-02-22  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSPrintOperation.m: trap exceptions launching previwer
	* Documentation/GuiUser/DefaultsSuppary.gsdoc: mention GSLPRPrinters
	* Printing/GSLPR/GSLPRPrinter.m: If we set up default printer
	config because there was nothing in the user defaults system, save the
	new config so we don't have to do it again next time.

2006-02-06  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMatrix.m (-deselectAllCells): Allow empty selection,
	when there are no cells. Patch by Georg Fleischmann <georg@vhf.de>.
	* Source/NSPopupButtonCell.m (-synchronizeTitleAndSelectedItem):
	Don't set selection index to 0, if apopup button doesn't have a
	selection. Patch by Andreas Höschler <ahoesch@smartsoft.de>.

2006-02-05  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSMenuView.m: ([-sizeToFit]) Fix bug #15631
	([-locationForSubmenu:]) for horizontal root menus, make successive
	submenus be positioned with top left corner next to item in parent.
	* Source/NSApplication.m: Pass info in hide/unhide notifications.

2006-02-04  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSMenu.m:
	* Source/NSApplication.m:
	* Source/NSMenuItemCell.m:
	* Headers/AppKit/NSMenuItemCell.h:
	Tidyups suggested by Fred. More ideas welcome.
	* Source/NSMenuView.m: When tracking mouse for horizontal MacOS-X
	style menu, ignore an immediate mouse up and continue tracking until
	something is clicked on.  This is the behavior of MacOS-X and windows.

2006-02-04  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSMenu.m:
	* Source/NSApplication.m:
	* Source/NSMenuItemCell.m:
	* Source/NSMenuView.m:
	* Headers/AppKit/NSMenuView.h:
	* Headers/AppKit/NSMenu.h:
	* Headers/AppKit/NSMenuItemCell.h:
	Add support for horizontal main menu (as in MacOS-X) very heavily
	based on the WildMenus bundle by Michael Hanni, but any errors in
	the integration are entirely mine.
	Horizontal menus are activated by setting the 'NSMenuInterfaceStyle'
	user default to 'NSMacintoshInterfaceStyle'.

2006-02-03  Quentin Mathe <qmathe@club-internet.fr>

    * Source/NSToolbarItem.m (-[GSToolbarButtonCell setImagePosition:]): 
    New method to override NSButtonCell behavior. It should be the last commit
    needed to correct bug #15112 (reported by Wolfgang Sourdeau). Precisely it
    eliminates the default title set with separator or space toolbar
    items and the image release with toolbar items which include one (both
    issues occurs when NSToolbarDisplayModeLabelnOnly is set).

2006-02-03  Quentin Mathe <qmathe@club-internet.fr>

    * Source/NSButtonCell.m (-setImagePosition:): Fixed the title lost (reset to
    the default one) which was wrongly occuring when the image position is
    switched to 'NSNoImage' (partial fix for bug #15112, based on an NSCell
    patch by Wolfgang Sourdeau).

2006-02-03  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWorkspace.m: In GSLaunched() be more defensive and don't
	assume that the values which should be present in the notification
	userinfo dictionry really are there.
	* Source/NSApplication.m: Code more defensively setting up
	notification info.
	Honor the NSWindow -canHide method when hiding the application.
	* Source/GSServicesManager.m: Improve handling of incoming messages,
	prohibit remote processes from calling private methods.
	* Source/NSWindow.m:
	* Source/NSWindowController.m:
	* Source/NSDataLinkManager.m:
	* Source/NSTextView.m:
	* Source/NSDocumentController.m:
	* Source/NSDataLink.m:
	* Source/NSView.m:
	* Source/NSDocument.m:
	Revert harmless but stupid changes made last night when I was too
	tired.

2006-02-02  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWorkspace.m: remove an app from list of launched apps if
	we can't contact it.
	* Source/NSApplication.m: ([hideOtherApplications:]) implemented.
	([unhideAllApplications:]) implemented.
	Send did hide and did unhide notifications to the workspace center
	so the workspace manager knows about them.
	Honor the NSWindow-canHide method when deactivating apps.
	* Source/NSWindow.m: Fix accessor methods which return a BOOL to
	do the right thing when they are accessing a bit in a bitfield.
	* Source/NSWindowController.m: ditto
	* Source/NSDataLinkManager.m: ditto
	* Source/NSTextView.m: ditto
	* Source/NSDocumentController.m: ditto
	* Source/NSDataLink.m: ditto
	* Source/NSView.m: ditto
	* Source/NSDocument.m: ditto
	Are these changes nneded?  The compiler seemed to be casting bitfield
	values to char as  things other than 1 or 0 ... but I was tired when
	looking at this and it seems unlikely.

2006-02-01  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSApplication.m: Send activation/deactivation notifications
	to workspace center too ... so workspace manager will know about it.
	* Source/NSWorkspace.m: Change internal method to launch applications
	so that it never asks the workspace manager to do it ... that should
	be handled by the public methods instead.  Simplify a little to take
	advantage of change to NSApplication.

2006-01-27  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSApplication.m: pass more informative user info in
	notifications.
	* Source/NSWorkspace.m: Implement filesystem based fallback mechanisms
	for tracking launched and active appplications when there is no
	workspace manager process to do it.
	Try to be consistent about asking workspace manager application to
	perform tasks for us if it exists.
	* Tools/gscloseall.m: Test tool to iterate through launched apps and
	terminate them all.
	* Tools/GNUmakefile:
	* Tools/GNUmakefile.preamble:
	Build new utility.

2006-01-26 00:01 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSScrollView.m: Temporary fix to scrollview.

2006-01-22  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopupButtonCell.m (-synchronizeTitleAndSelectedItem):
	Only select an item if one is highlighted.
	* Source/Functions.m: NSFrameRectWithWidthUsingOperation() new
	function from Cocoa. NSFrameRectWithWidth() different
	implementation, no longer using stroke.

2006-01-20  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableHeaderCell.m: Simplified code by letting
	the super classes do their job.

2006-01-14  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWindow.m: minor fixups for 64bit cpu support.

2006-01-09 06:25 Gregory John Casamento <greg_casamento@yahoo.com>
	
	* Source/NSNib.m: Correction for bug#15348.  Removed uneeded
	append in initWithNibNamed:


2006-01-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m (-initWithFrame:) Use different intercell
	spacing. Patch by Andreas Höschler <ahoesch@smartsoft.de>.

2006-01-04  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSliderCell.m (-knobRectFlipped,-knobThickness
	-drawInteriorWithFrame:inView:, -setKnobThickness:): Protect against knob
	image being nil. Fixes Solaris problem reported by <ubossx@gmail.com>.

2005-12-22  Adam Fedor  <fedor@gnu.org>

	* Version 0.10.2

2005-12-15  Quentin Mathe <qmathe@club-internet.fr>

    * Source/NSToolbarItem.m: 
    (-[GSToolbarButton layout]): Don't set button based items width to their
    label width when NSToolbarDisplayModeIconOnly is active (based on patch
    by Wolfgang Sourdeau, partial fix for bug #15112). Removed superfuous code
    which substracted label height to button width in
    NSToolbarDisplayModeIconOnly case.
    (-initWithItemIdentifier:): Removed logical operator 'not' wrongly used
    with GSToolbarSeparatorItemIdentifier class identity test, it
    prevented any separator items to be inited therefore used (patch by
    Wolfgang Sourdeau, partial fix for bug #15112).

2005-12-05  fabien  <fabien@sonappart.net>

	* Source/NSCursor.m: Improved documentation
	* Source/NSFontManager.m: Improved documentation
	* Source/NSFontPanel.m: Improved documentation
	* Source/NSMatrix.m: Improved documentation
	* Source/NSPanel.m: Improved documentation

2005-12-04  Fabien VALLON  <fabien@sonappart.net>

	* Source/NSColorPanel.m: Improved documentation, various cleanups
	* Source/NSColor.m: Improved documentation
	* Source/NSClipView.m: Improved documentation
	* Source/NSColorWell.m: Improved documentation
	* Source/NSControl.m: Improved documentation

2005-12-04  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSServicesManager.m: Implement use of NSUseRunningCopy

2005-11-29  Fabien VALLON  <fabien@sonappart.net>

	* Source/NSCachedImageRep.m : Improved documentation
	* Source/NSCell.m : Improved documentation

2005-11-29  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTabView.m (-minimumSize): Filled in some code.
	* Source/NSTextField.m (-validateEditing, -textDidChange:): Check
	is delegate responds to selector before calling it.
	Patch by Andreas Höschler <ahoesch@smartsoft.de>

2005-11-25  fabien  <fabien@sonappart.net>

	* Source/NSBox.m: Improved documentation
	* Source/NSCell.m: Documentation : closed the ref tag for -setType:
	* Source/NSBrowser.m: Improved documentation, various cleanups.
	* Source/NSBrowserCell.m: Improved documentation.
	* Source/NSButton.m: Improved documentation.
	* Source/NSButtonCell.m: Improved documentation.
	
2005-11-24 12:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSCell.m: Added documentation for setType:.

2005-11-24  fabien  <fabien@sonappart.net>

	* Source/NSMatrix.m: Improved documentation, various cleanups
	* Source/NSOpenPanel.m: Improved documentation
	* Source/NSPageLayout.m: Improved documentation
	* Source/NSPopUpButton.m: Improved documentation
	* Source/NSSavePanel.m: Improved documentation
	* Source/NSScrollView.m: Improved documentation
	* Source/NSTexField.m: Improved documentation	
	* Source/NSFont.m: Improved documentation, various cleanups
	* Source/NSImage.m: Improved documentation, various cleanups
	* Source/NSScroller.m: Improved documentation, various cleanups

2005-11-22  Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/Additions/GNUstepGUI/GSDrawFunctions.h:
	* Source/GSDrawFunctions.h:
	Make drawing methods go via theme engine.

2005-11-22  fabien  <fabien@sonappart.net>

	* Source/NSCell.m : Improved documentation
	* Source/NSControl.m : Improved documentation
	* Source/NSCustomImageRep.m : Improved documentation
	* Source/NSFontPanel.m : Improved documentation
	* Source/NSForm.m : Improved documentation
	* Source/NSFormCell.m : Improved documentation
	* Source/NSImage.m : Improved documentation
	* Source/NSMatrix.m : Improved documentation

2005-11-21  fabien  <fabien@sonappart.net>

	* Source/NSButton.m : Improved documentation
	* Source/NSButtonCell.m : Improved documentation
	* Source/NSCachedImageRep.m : Improved documentation
	* Source/NSCell.m : Improved documentation
	* Source/NSClipView.m : Improved documentation
	* Source/NSColor.m : Improved documentation
	* Source/NSColorPanel.m : Improved documentation
	* Source/NSColorWell.m : Improved documentation

2005-11-21  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSliderCell.m (-drawInteriorWithFrame:inView:): Allow
	the knob image to resize. Patch by Georg Fleischmann <georg@vhf.de>
	* Source/NSTextField: (textView:doCommandBySelector:) new method
	to pass on the request to the delegate, if possible.

2005-11-21  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSPasteboard.m: Turn off warning message about launching
	gpbs ... now that we use host-local connections and expect the
	pastebaord server to be private to the user, there is no real reason
	why it shouldn't be routinely launched on demand.

2005-11-20  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSServicesManager.m: GSContactApplication()
	Fix bug launching application ... if it's not available in the
	services bundle, locate application by name (from the port).

2005-11-18  fabien  <fabien@sonappart.net>

	* Source/NSSliderCell.m: Improved documentation
	* Source/NSTextField.m: Improved documentation
	* Source/NSTextFieldCell.m: Improved documentation
	* Source/NSSavePanel.m: Improved documentation
	* Source/NSOpenPanel.m: Improved documentation
	* Source/NSApplication.m: Improved documentation
	* Source/NSBitmapImageRep.m: Improved documentation
	* Source/NSBox.m: Improved documentation
	* Source/NSBrowserCell.m: Improved documentation
	

2005-11-17  fabien  <fabien@sonappart.net>

	* Source/NSControl.m : Improved documentation 
	* Source/NSCustomImageRep.m : Improved documentation 
	* Source/NSFontPanel.m : Improved documentation
	* Source/NSForm.m : Improved documentation
	* Source/NSFormCell.m : Improved documentation
	* Source/NSSlider.m : Improved documentation

2005-11-16  fabien  <fabien@sonappart.net>

	* Source/NSColorPanel.m : Improved documentation
	* Source/NSColorWell.m : Improved documentation

2005-11-16  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSEPSPrintOperation.m:
	* Source/GSHelpManagerPanel.m:
	* Source/GSHorizontalTypesetter.m:
	* Source/GSLayoutManager.m:
	* Source/GSNibCompatibility.m:
	* Source/GSNibTemplates.m:
	* Source/GSPDFPrintOperation.m:
	* Source/GSPrintOperation.m:
	* Source/GSPrinting.m:
	* Source/GSSlideView.m:
	* Source/GSTable.m:
	* Source/GSToolbar.m:
	* Source/NSAlert.m:
	* Source/NSApplication.m:
	* Source/NSBezierPath.m:
	* Source/NSBitmapImageRep+PNM.m:
	* Source/NSBox.m:
	* Source/NSBrowser.m:
	* Source/NSBrowserCell.m:
	* Source/NSBundleAdditions.m:
	* Source/NSCell.m:
	* Source/NSColor.m:
	* Source/NSColorList.m:
	* Source/NSColorWell.m:
	* Source/NSCustomImageRep.m:
	* Source/NSDataLink.m:
	* Source/NSDataLinkManager.m:
	* Source/NSDataLinkPanel.m:
	* Source/NSDocument.m:
	* Source/NSForm.m:
	* Source/NSGraphicsContext.m:
	* Source/NSHelpManager.m:
	* Source/NSImage.m:
	* Source/NSLayoutManager.m:
	* Source/NSMatrix.m:
	* Source/NSNib.m:
	* Source/NSOpenGLPixelFormat.m:
	* Source/NSOpenGLView.m:
	* Source/NSOutlineView.m:
	* Source/NSPageLayout.m:
	* Source/NSPrintInfo.m:
	* Source/NSPrintOperation.m:
	* Source/NSPrintPanel.m:
	* Source/NSPrinter.m:
	* Source/NSResponder.m:
	* Source/NSRulerView.m:
	* Source/NSSelection.m:
	* Source/NSSpellChecker.m:
	* Source/NSSpellServer.m:
	* Source/NSSplitView.m:
	* Source/NSStepper.m:
	* Source/NSTabView.m:
	* Source/NSTableView.m:
	* Source/NSTextView.m:
	* Source/NSTextView_actions.m:
	* Source/NSToolbarItem.m:
	* Source/NSView.m:
	* Source/NSWindow.m:
	* Source/NSWorkspace.m:
	Fix some common coding style violations ... should have no effect
	other than improving readability.

2005-11-15  fabien  <fabien@sonappart.net>

	* Source/NSColor.m : Improved documentation, various cleanups.

2005-11-09  fabien  <fabien@sonappart.net>

	* Source/NSCell.m : Improved documentation

2005-11-08  fabien  <fabien@sonappart.net>

	* Source/NSBox.m : Improved documentation
	* Source/NSBrowser.m :  Ditto
	* Source/NSBrowserCell.m : Ditto
	* Source/NSButton.m : Ditto

2005-11-06  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImage.m (-bestRepresentationForDevice:): Get the device
	description from the current context, not via NSScreen, as we
	cannot be sure about the screen order.
	* Source/NSApplication.m (-_init): Make sure the default context
	has properly set attributes.

2005-11-03  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBrowser.m (-setPath:): Corrected memory management bug 14901.

2005-11-02  Nicolas Roard  <nicolas.roard@gmail.com>

	* Headers/Additions/GNUstepGUI/GSDrawFunctions.h,
	* Source/GSDrawFunctions.m (+[theme],+[setTheme:]): New accessor 
	methods.
	
2005-10-30  Adam Fedor  <fedor@gnu.org>

	* Documentation/General/OpenStepCompliance.gsdoc: Updates.

2005-10-25  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSColorList.m: ([writeTofile:]) return NO if there is no
	known directory to write to.

2005-10-23  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWindow.m: ([setExcludedFromWindowsMenu:]) when a window
	is excluded, remove it from the windows menu.  Fixes bug #14008

2005-10-22  Richard Frith-Macdonald <rfm@gnu.org>

	* Tools/make_services.m: Update to use
	NSSearchPathForDirectoriesInDomains() more extensively so that we
	get all the directories we should using the new configuration
	information, rather than the default set.

2005-10-20  Fred Kiefer <FredKiefer@gmx.de>

	* Source/GSTitleView.m: Corrected last change the signature of
	[rightMouseDown:] had been changed instead of [menuForEvent:].

2005-10-20  Fred Kiefer <FredKiefer@gmx.de>

	* Header/NSInputManager.h
	* Source/GSTitleView.m
	* Source/NSColor.m
	* Source/NSImageCell.m
	* Source/NSResponder.m
	* Source/NSSavePanel.m
	* Source/NSTabView.m
	* Source/NSTableHeaderView.m
	* Source/NSMenuView.m
	Removed compiler warnings from gcc 4.0.2.
	
2005-10-18  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSApplication.m (-terminate:): Call NSDocumentControllers
	review unsaved code only when this is a document based application.

2005-10-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSavePanel.m (-performDragOperation:): Set file name and
	directory to allow dragging of files, not just directories.

2005-10-14  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSRulerView.m (-drawHashMarksAndLabelsInRect:): For
	vertical rulers use ruler thickness to position labels. Patch by Saso
	Kiselkov <diablos@manga.sk>.

2005-10-09  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSServicesManager.m: Improve handling of port registration
	to ensure each application listens on a well known port and the port
	name is readable.  If multiple copies of an app are running, name
	the extra copies AppCopy1 AppCoppy2 etc.
	* Source/NSWorkspace.m: Use advertised port name for the app name so
	that other apps can contact it.
	Implement ([-extendPowerOffBy:]) to ask workspace application.
	* Tools/gclose.m: Triavial utility ... counterpart for gopen ...
	close doen an application.Saso
	Kiselkov <diablos@manga.sk>
	* Tools/GNUmakefile: build gclose

2005-10-08  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWorkspace.m: Provide private method to post a notification
	to the local workspace center, using the shared workspace app as the
	notification object.  Fix handling of incoming notifications so that
	they use the new method and are therefore posted locally with the
	correct notification object.
	* Source/GSServicesManager.m: Make applications respond to the
	terminate: method sent from another app, but send a power off
	notification first, on the assumption that a terminate sent by
	a remote process is a power off or session manager shutdown or
	some similar event indicating that the process is likely to be
	forcably killed if it doesn't close down gracefully.

2005-10-05  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-setObjectValue:, -setStringValue:): When no
	formatter is present, the object value is always valid. Also allow
	attributed strings to be passed through. Based on patches by Saso
	Kiselkov <diablos@manga.sk> and Andreas Hoeschler <ahoesch@smartsoft.de>.

2005-09-19  Adam Fedor  <fedor@gnu.org>

	* Version 0.10.1

2005-09-10 17:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/externs.m: Added constants for data link.
	* Source/NSDataLink.m: Removed NSDataLinkFilenameExtension constant.
	* Source/NSDataLinkManager.m: Added implementation for 
	addLinkAsMarker:at:, addLinkPreviouslyAt:fromPasteboard:at:.

2005-09-10  Adam Fedor  <fedor@gnu.org>

	* configure.ac: Check for libgib if libungif is not found.
	Fixes Bug #14454.

2005-08-25  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSView.m: ([_viewDidMoveToWindow]) Implemented and used to
	send notification to subviews as we should.

2005-08-22 14:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSInterfaceStyle.m: -[GSInterfaceStyle
	defaultsDidChange:] correction for val variable.  Previously
	this was the enumerated type NSInterfaceStyle.  This caused
	some alighnment issues on 64bit platforms.  I have also tested
	this change on i386/Linux.

2005-08-17  Adam Fedor  <fedor@gnu.org>

	* configure.ac: Check for v19 of portaudio.

2005-08-17  Enrico Sersale  <enrico@dtedu.net>

	* Tools/gsnd/gsnd.m: updated to use libportaudio v19.

	* Tools/gsnd/gsnd.m: in main(): uses NSTask to create a daemon.
	
2005-08-17  Serg Stoyan  <stoyan255@ukr.net>

	* Source/NSBrowser.m: (tile): Fix calculating columns width for
	unseparated columns.
	
	* Source/NSSplitView.m: (mouseDown:): Don't try to resize subviews
	if divider positon wasn't changed.
	
	* Source/NSPopUpButtonCell.m: (trackMouse:inRect:ofView:untilMouseUp:):
	Dismiss the popup after mouse tracking done. This is for the cases when 
	mouse up event occurs outside of popup.
	
2005-07-27  Adam Fedor  <fedor@gnu.org>

	* Source/GNUmakefile.postamble (Info-gnustep.plist): Depend on 
	../Version.

	* Source/NSOutlineView.m ([NSOutlineView -rowForItem:]): Declare var
	at beginning of block for gcc2 (Fixes Bug #13936).

2005-07-25 22:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSOutlineView.m: Make [NSOutlineView rowForItem:] return
	-1 as per specs, instead of NSNotFound.

2005-07-22  Adam Fedor  <fedor@gnu.org>

	* Version 0.10.0

2005-07-21 08:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibTemplates.m: in GSWindowTemplate initWithCoder:, 
	temporarily retain, then release (after setting back into the window)
	the content view to prevent it from being inadvertantly deallocated.

2005-07-17  Adam Fedor  <fedor@gnu.org>

	* Source/NSApplication.m (gnustep_backend_path,
	gnustep_backend_framework, gnustep_backend_bundle): New functions.
	(initialize_gnustep_backend): Support versioning of backend bundle.

2005-07-17  Adam Fedor  <fedor@gnu.org>

	* Documentation/Gui.gsdoc, Documentation/GuiAdditions.gsdoc
	Documentation/ReleaseNotes.gsdoc, Documentation/readme.texi
	Documentation/GuiUser/DefaultsSummary.gsdoc
	Documentation/GuiUser/KeyboardSetup.gsdoc
	Documentation/GuiUser/LanguageSetup.gsdoc, Source/NSView.m:
	Fix some documentation errors.

2005-07-12  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSApplication.m: (_NSAppKitUncaughtExceptionHandler)
	As there was no other feedback to the recent email thread on this,
	I've removed the option to try to 'ignore' the exception ... since
	it would most likely result in a random crash (possibly with loss
	of data etc) at a later point.

2005-07-09 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/NSSavePanel.m (-ok:): Set _fullFileName before invoking
	delegate -panel:userEnteredFilename:confirmed: so it is given the
	current filename to process.

2005-07-09  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSGraphicsContext.h,
	* Source/NSGraphicsContext.m: Added new methods
	[-GScomposite:toPoint:fromRect:operation:fraction:] and
	[-GSSetPatterColor:].  
	* Source/NSImage.m (-compositeToPoint:...fraction:): Implemented.
	* Source/NSColor.m (GSPatternColor -set): Implemented.

2005-07-04  Adam Fedor  <fedor@gnu.org>

	* Documentation/ReleaseNotes.gsdoc: Update.

2005-07-01  Adam Fedor  <fedor@gnu.org>

	* Documentation/Gui.gsdoc, 
	Documentation/GuiAdditions.gsdoc, 
	Documentation/ReleaseNotes.gsdoc, 
	Documentation/gopen.1, Documentation/make_services.1, 
	Documentation/General/OpenStepCompliance.gsdoc, 
	Documentation/GuiUser/DefaultsSummary.gsdoc, 
	Documentation/GuiUser/KeyboardSetup.gsdoc, 
	Documentation/GuiUser/LanguageSetup.gsdoc, 
	Model/Controller.h, Model/Controller.m, Model/test.m, 
	PrinterTypes/GSProlog.ps,
	Printing/GSCUPS/GNUmakefile.postamble, 
	Printing/GSCUPS/GNUmakefile.preamble, 
	Printing/GSLPR/GNUmakefile.postamble, 
	Printing/GSLPR/GNUmakefile.preamble, 
	Tools/GNUmakefile.postamble, 
	Tools/GNUmakefile.preamble, Tools/wgetopt.h, 
	Tools/gsnd/GNUmakefile.postamble, 
	Tools/gsnd/GNUmakefile.preamble: Add/fix copyright/licenses.

2005-07-01  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSApplication.m: (_NSAppKitUncaughtExceptionHandler)
	Call [NSApp run] to re-enter runloop if we are told to ignore
	the exception.  Not sure this is right though ... probably
	the option to ign ore should be removed.

2005-06-28  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSScrollView.m: ([-initWithFrame:) create a hidden horizontal
	ruler for MacOS-X and OPENSTEP compatibility.  Fix bug #13310
	* Source/NSRulerView.m: ([-dealloc]) Don't release _clientView as we
	don't own it.  Fixes bug #13382

2005-06-22  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMenu.m (-setGeometry): Use [NSWindow
	setFrameFromString:] when possible to position the menu windows
	relative to the screen size.
	(-isPartlyOffScreen_OFFSCREEN, -setGeometry, -shiftOnScreen) Use
	current screen and visibleFrame of screen instead of frame. 

2005-06-18  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColor.m (+colorFromString:): Make sure the scanner is
	always released. Fixes bug reported by Benhur Stein
	<benhur.stein@gmail.com>.

2005-06-17  Adam Fedor  <fedor@gnu.org>

	* Source/NSPopUpButtonCell.m (-setObjectValue:): Use
	respondsToSelector.

2005-06-16  Fabien Vallon  <fabien@sonappart.net>

	* Source/NSProgressIndicator.m: setAnimationDelay: fix typo
	* Headers/AppKit/NSProgressIndicator: ditto

2005-06-06  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSWorkspace.m: ([-mountedLocalVovumePaths]) implemented
	for mingw as a listing of all device names.
	Implement for unix using getmntent.
	* configure.ac: add checks for getmntent variations.
	Tested on debian, may need tweaks for others.

2005-06-06 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Headers/AppKit/NSApplication.h
	* Headers/AppKit/NSEvent.h
	* Source/GSServicesManager.m
	* Source/NSApplication.m
	* Source/NSFont.m: Filled in various GSdoc.

2005-06-04 08:11 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibTemplates.h: Minor update to
	constant name.
	* Source/GSNibTemplates.m: Use new constant name, and move call
	to autoPositionWindow: outside of class name check.

2005-06-04 07:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/Additions/GNUstepGUI/GSNibTemplates.h: Constants for new
	autoposition scheme, declaration for setAutoPositionMask:,
	autoPositionMask and autoPositionWindow: methods.
	* Source/GSNibTemplates.m: Code in [GSWindowTemplate initWithCoder:]
	to handle new version.  Also new method autoPositionWindow: to 
	handle window placement.

2005-05-30  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopupButtonCell.m (-dealloc) Corrected previous fix to only
	dismiss the popup, when it is actualy visible. This caused a
	problem with the window deallocation mechanism, when the window
	containing the popup button was closed.

2005-05-30  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m (-mouseDown): No longer copy the cell, as
	this was causing trouble in GNUmail and Gworkspace.
	* Source/NSComboBox.m (-trackMouse:inRect:ofView:untilMouseUp:): 
	Only mark the cellframe as needing redraw.
	Patch by Matt Rice <ratmice@yahoo.com>.

2005-05-27  Adam Fedor  <fedor@gnu.org>

	* Source/NSAffineTransform.m (matrix_multiply): New function.
	(appendTransform:, prependTransform:, rotateByRadians:, 
	scaleBy:, scaleXBy:yBy:, translateXBy:yBy:, 
	concatenateWithMatrix:): Use it.
	(rotateByDegrees:) Use rotateByRadians:.  Fixes bug #13181.

2005-05-27  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopupButtonCell.m (-dealloc) Dismiss the popup. This is to
	make sure the removed popup no longer gets notifications. may
	happen when the cell gets deallocated without closing the popup.

2005-05-26  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m (-mouseDown): Replaced use of
	_sendsActionOn: with a check if the value did change
	after the cell did track the mouse. Also use a copy of the cell,
	that way other cells are not affected by changes in the tracked
	cell. Patch based on code by Matt Rice <ratmice@yahoo.com>.

2005-05-25  Adam Fedor  <fedor@gnu.org>

	* Update FSF Address.

2005-05-23  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAlert.m (-_setupPanel): New method. 
	(-runModal, -beginSheetModalForWindow:...contextInfo:) Use this
	new method.

2005-05-22  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-display) 
	* Source/NSCell.m (-drawWithFrame:inView:) 
	* Source/NSBrowserCell.m (-drawWithFrame:inView:) 
	* Source/NSImageCell.m (-drawWithFrame:inView:) 
	* Source/NSMenuItemCell.m (-drawWithFrame:inView:) 
	* Source/NSTableHeaderCell.m (-drawWithFrame:inView:):
	Removed check for window existence. This should already have been
	checked by a surrounding canDraw call. Fixes bug #13140.

2005-05-22  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSComboBox.m (-cellSize) Added simple implementation of
	this method to get sizeToFit working.
	(GSComboWindow -layoutWithComboBoxCell:) Don't subtract the width
	of the scroller from the popup item size, increase the popup width instead.

2005-05-20  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSWindow.m (-center, -constrainFrameRect:toScreen:) Use
	screen visibleFrame instead of frame.
	* Source/NSWindow.m (-animationResizeTime:,
	-setFrame:display:animate:) Implemented this methods.

2005-05-20  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/AppKit/NSResponder.h: Added new MacOSX methods.
	* Source/NSResponder.m (-encodeWithCoder:, initWithCoder:) Handle
	NSNextResponder for keyed encoding.
	* Source/NSResponder.m
	* Source/NSApplication.m
	* Source/NSWindow.m
	* Source/NSView.m
	* Source/NSControl.m:
	Implemented shouldBeTreatedAsInkEvent:.
	
2005-05-19  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSImageCell.m (-setObjectValue:) Nil parameter now unsets
	image. This resolves bug #13046.

2005-05-02 23:45 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibTemplates.m: added condition to all of the templates
	so that the designated init is not called when the className and
	the superClass are equivalent.
	
2005-05-01 17:09 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/GSNibTemplates.m: [GSWindowTemplate initWithCoder:]
	changed so designated initializer is called with content frame.
	
2005-04-30 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Headers/AppKit/NSFont.h: Add 'cachedFlippedFont' ivar.
	* Source/NSFont.m: Cache font for drawing in flipped views in
	manner analogous to font for screen drawing.

2005-04-28  Adam Fedor  <fedor@gnu.org>

	* configure.ac: More complete check for portaudio
	* Tools/gsnd/gsnd.m: Fix portaudio include

2005-04-27 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Headers/AppKit/NSApplication.h: Add app_is_launched ivar.
	* Source/NSApplication.m (-run): Only go through launch process
	and call -finishLaunching on first call.
	(-replyToApplicationShouldTerminate:) Unhide mouse on app exit.

2005-04-25  Adam Fedor  <fedor@gnu.org>

	* configure.ac: Check for lib portaudio
	* Tools/gsnd/GNUmakefile: Use lib portaudo.
	* Tools/gsnd/portaudio: Remove portaudio files.
	* Documentation/install.texi: Updates.

2005-04-25 00:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibTemplates.m: [GSClassSwapper initWithObject:
	className:superClassName:] removed assertion which prevents
	using the same class name for both arguments.  Also cleaned
	up some commented out code.

2006-04-19  Adam Fedor  <fedor@gnu.org>

	* configure: Add arg to disable aspell (for use on Mac OS X).
	
	* Source/NSBitmapImageRep+JPEG.m: Add workaround so that INT32
	is not redefined on MingW by jmorecfg.h (Suggestion from Issac
	Trotts).
	
2005-04-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopupButton.m (-keyDown:) Removed unneeded code.
	(-_handleNotification:): Moved method from here ...
	* Source/NSPopupButtonCell.m: ... to here.
	(-dismissPopUp, -attachPopUpWithFrame:inView:): Dis-/Connect self,
	not the control view, with notification centre. Fixes bug #12680.
	(-synchronizeTitleAndSelectedItem): Update the control view.
	(-trackMouse:inRect:ofView:untilMouseUp:): Removed unneeded code.
	(-attachPopUpWithFrame:inView:): Set the selected item to highlighted.
	
2005-04-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColor.m: Implemented the missing keyed encoding methods.

2005-04-11 10:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/GSNibTemplates.m: Correction for minor leak in 
	GSClassSwapper dealloc method.

2005-04-09  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSColor.m: Implemented most keyed encoding methods.
	* Source/NSFont.m: Implemented simple keyed encoding.

2005-04-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSView.m (-addSubview:positioned:relativeTo:): Don't
	increase index for subview added at the end. Based on patch by
	Matthias Hengartner <hengartner@ivt.baug.ethz.ch>.

2005-04-03 14:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSCustomImageRep.m: Allow drawing if the delegate is
	set since the size may not have been set as of yet.  This behavior
	is consistent with that observed on OPENSTEP4.2/Mach.  This fix
	corrects bug #12412.

2005-04-03  Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/AppKit/NSTextView.h: Keep track of whether we are acting
	as a target for a DnD operation, and what the selected range was
	before the operation began.
	* Source/NSTextView.m: Display insertion point during DnD operation
	Fixes bug #9788

2005-04-02  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSTableView.m: ([-mouseDown:]) tweak vertical image
	offset because view is flipped.  Still not sure this code is
	correct  ... which coordinate system is the image offset supplied
	by ([-dragImageForRows:event:dragImageOffset:]) supposed to be in?

2005-04-01  Adam Fedor  <fedor@gnu.org>

	* Headers/AppKit/NSDataLinkManager.h, Source/NSDataLinkManager.m:
	Re-add the changes from 2005-03-05.

2005-04-01  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSDragView.m: when dragging, use the mouse offset to adjust
	the initial position of the dragged image.
	Modified internally to pass the original position of the image so
	that slideback can slide to that position rather than the position
	the mouse started from.  This makes no difference if the initial
	mouse offset was zero, but does have an effect if the drag was
	initiated by a mouse move at a location offset from the original
	mouse down.
	Exposed a couple of methods for subclasses.
	* Source/NSColorPanel.m: Set image position for DnD so that color
	swatch is centered on the mouse position.
	* Source/NSImageView.m: ditto
	* Source/NSTableView.m: ([-mouseDown:]) after calling the
	([-dragImageForRows:event:dragImageOffset:]) method, use the
	returned offset to position the center of the image relative
	to the mouse pointer .. I *think* that's what the apple documentation
	of the method means.

2005-03-30  Adam Fedor  <fedor@gnu.org>

	* Version 0.9.5

	* Headers/AppKit/NSDataLinkManager.h, Source/NSDataLinkManager.m: 
	Partially revert 2005-03-05 patch for this release.

2005-03-29 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/NSWorkspace.m (-_extIconForApp:info:): Check filename is
	not empty string before passing to [NSBunder -pathForImageResource:].

2005-03-29 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/NSGraphicsContext.m: Undeprecate DPSxshow, DPSyshow,
	DPSxyshow, DPSashow, DPSwidthshow, and DPSawidthshow.

2005-03-29  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSDragView.m:
	* Headers/Additions/GNUstepGUI/GSDragView.h: Minor tweaks to ease
	subclassing.

2005-03-28  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSDragView.m: Fix a few bugs exposed by windows port and
	tidy/add comments to clarify operation.  When initiating DnD session,
	take offset argument into account rather than ignoring it.
	* Headers/Additions/GNUstepGUI/GSDragView.h: Improve comments and
	change offset to be NSSize rather thgan NSPoint.

2005-03-21  Adam Fedor  <fedor@gnu.org>

	* Tools/gsnd/portaudio/pa_unix_oss/pa_unix_oss.c: Fix for FreeBSD
	FTBFS (Fixes Bug #12316). Strip DOS CRs.

2005-03-21  Adam Fedor  <fedor@gnu.org>

	* configure.ac: Check for libgif
	* Source/NSBitmapImageRep+GIF.m: Support libgif
	* Source/NSBitmapImageRem.m: Idem. (Fixes Bug #12362).

2005-03-19  Adam Fedor  <fedor@gnu.org>

	* Headers/AppKit/DPSOperators.h, Headers/AppKit/NSGraphics.h:
	Modify selectors to play nice with C++ compiler.	
	* Headers/AppKit/NSAffineTransform.h, Headers/AppKit/NSFontManager.h,
	Headers/AppKit/NSPageLayout.h: Modify arg name for same purpose.
	* Source/NSAffineTransform.m, Source/NSFontManager.m,
	Source/NSPageLayout.m: Modify to match header. (Patch from 
	Francis Franklin, with some modifications).

2005-03-14  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSMatrix.m:
	([_renewRows:columns:rowSpace:colSpace:]) Corrected last patch so
	that the open panel works again. Initialize all new cells, not
	just the requested ones.

2005-03-14  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/NSMatrix.m:
	([removeRow:]) set column counts to zero if all rows are removed
	([removeColumn:]) set row counts to zero if all columns are removed
	([_renewRows:columns:rowSpace:colSpace:]) initialise all columns of
	any newly created rows (up to _maxCols) rather than just the number
	specified by the method argument.  Otherwise we get uninitialised
	columns in the matrix which will cause a crash when they are used.
	Fixes bug #12299

2005-03-13  Richard Frith-Macdonald <rfm@gnu.org>

	* Headers/AppKit/NSGraphics.h: Fix prototype for stricter compiler.
	* Source/Functions.m: ditto
	Deal with bug #12296

2005-03-10  Nicola Pero <n.pero@mi.flashnet.it>

	* Headers/AppKit/AppKitDefines.h (GS_EXPORT): Use extern, not
	__declspec(dllexport), on mingw
	
2005-03-10  Nicola Pero <n.pero@mi.flashnet.it>

	* configure.ac: Fixed setting variable when libjpeg can't be found.
	* configure: Regenereated.

2005-03-07  Fred Kiefer <FredKiefer@gmx.de>

	* Header/AppKit/NSCell.h: Moved NSControlSize definition to ...
	* Header/AppKit/NSColor.h: ... here and added
	NSMiniControlSize. For NSControlTint added NSBlueControlTint and
	NSGraphiteControlTint.
	* Header/AppKit/NSFont.h (+menuBarFontOfSize:,
	+systemFontSizeForControlSize:, -numberOfGlyphs,
	-coveredCharacterSet, -fontDescriptor): New MacOSX 10.3 methods.
	* Source/NSFont.m: Added dummy implementations for the new methods. 

2005-03-05 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/NSApplication.m (-_windowDidResignKey:) Unhide mouse.

2005-03-05 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/NSScroller.m (-checkSpaceForParts, -rectForPart:) Calculate
	buttonsWidth variable dynamically based on +scrollerWidth (supports
	width override by subclass).

2005-03-05 10:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/AppKit/NSDataLink.h
	* Headers/AppKit/NSDataLinkManager.h: Added some ivars
	* Source/Functions.m: Changed the NSLinkFrameThickness() function to
	return 1 instead of 1.5.
	* Source/NSDataLink.m: Implemented several methods.
	* Source/NSDataLinkManager.m: Implemented several methods.
	* Source/NSDataLinkPanel.m: Change version from 1 to 0.
	* Source/NSSelection.m: Change version from 1 to 0, corrected 
	but in initWithCoder:.

2005-03-03  Adam Fedor  <fedor@gnu.org>

	* configure.ac: Disable gsnd on darwin
	
	* Tools/GNUmakefile.preamble (GSspell_TOOL_LIBS): Add lib depends.

2005-02-27 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/NSApplication.m (-runModalForWindow:) Clarify gsdoc
	explaining why we don't follow Apple docs here.  (Corrects gsdoc
	from change on 2005-01-26, which itself documented a code change on
	2005-01-18.)

2005-02-26 18:04  Alexander Malmberg  <alexander@malmberg.org>

	* Headers/Additions/GNUstepGUI/GSServicesManager.h: Include the
	NSMenuItem.h header instead of forward declaring the NSMenuItem
	protocol.

2005-02-23  Fred Kiefer <FredKiefer@gmx.de>

	* Header/AppKit/NSColor.h (-alternateSelectedControlColor,
	-alternateSelectedControlTextColor,
	-secondarySelectedControlColor,
	controlAlternatingRowBackgroundColors): New MacOSX system colour methods.
	* Source/NSColor.m (-alternateSelectedControlColor,
	-alternateSelectedControlTextColor,
	-secondarySelectedControlColor,
	controlAlternatingRowBackgroundColors): Implemented the new
	methods.
	(initSystemColors): Added default values for new system coloure methods

2005-02-21  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSCell.m (-initWithCoder):
	* Source/NSButtonCell.m (-initWithCoder):
	* Source/NSBrowser.m (-initWithCoder):
	Small improvements on keyed decoding of flags.

2005-02-19  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSavePanel.m (-_setDefaultDirectory): New method to get
	default directory from user defaults (NSDefaultOpenDirectory).
	(-_resetDefaults): Use it for setting of default directory.
	(-_setupForDirectory:file:): Use the new method here as well if no
	path is provided. Cleaned up this method.
	(-cancel:) Don't clean up filename and set directory to current.
	(-ok:) Don't set _OKButtonPressed.
	* Source/NSOpenPanel.m (-ok:): Don't set _OKButtonPressed.
	(-_setupForDirectory:file:): Removed code duplicating super class
	implementation. 
	This fixes most of bug #7900.

2005-02-14  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSPopupButton.m (-mouseDown:): Moved code from here ...
	* Source/NSPopupButtonCell.m
	(-trackMouse:inRect:ofView:untilMouseUp:): ... to here. This fixes
	bug #9824.

2005-02-14  Richard Frith-Macdonald <rfm@gnu.org>

	* Source/GSTitleView.m (-mouseDown:): Post an
	NSWindowDidMoveNotification at end of method if window was dragged.
	Fixes bug #11906

2005-02-12  Fred Kiefer <FredKiefer@gmx.de>

	* Headers/Additions/GNUstepGUI/GSDisplayServer.h (-setalpha::): Declare.
	* Source/GSDisplayServer.m (-setalpha::): New method for window
	alpha setting, with empty default implementation.
	* Source/NSWindow.m (-setAlphaValue:): Implemented alpha setting
	via display server.
	(-_initDefaults): Set _alphaValue to 1.0.

2005-02-12  Fred Kiefer <FredKiefer@gmx.de>

	* Model/GMAppKit.m (NSButtonCell-initWithModelUnarchiver:):
	Resorted code to work around AppKit change on button type
	handling. Patch by Georg Fleischmann <georg@vhf.de>	

2005-02-12  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAffineTransform.m (-boundingRectFor:result:): Further
	corrections on last change.

2005-02-11  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSAffineTransform.m (-boundingRectFor:result:):
	Corrected algorithm to compute bounding box for transformed
	rectangle (Code based on Cairo). This fixes bug #11562.

2005-02-08  Matt Rice  <ratmice@yahoo.com>

	* Source/NSApplication.m (-changeWindowsItem:title:filename:): If the
	window can become key, use makeKeyAndOrderFront: as the action.
	(-updateWindowsItem:, -setWindowsMenu): Compare the title to what it
	would be if there was a represented filename, not the filename.
	* Source/NSApplication.m (-orderWindow:relativeTo:): Ditto.
	(-setExcludedFromWindowsMenu): Ditto.

2005-02-08  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSSecureTextField.m (-drawInteriorWithFrame:inView:):
	Draw the background colour of the cell.
	
2005-02-07  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m (-expandItem:expandChildren:,
	collapseItem:collapseChildren:): Added a call to setNeedsDisplay:,
	so the new status will be shown correctly.
	(_openItem:): Removed setNeedsDisplay: call as all callers do it already.

2005-02-05 15:42 Gregory John Casamento <greg_casamento@yahoo.com>

	* Headers/AppKit/NSDataLinkManager.h: Moved NSDataLinkManager delegate
	methods to an informal protocol NSDataLinkManagerDelegate.
	* Source/Functions.m: Implemented NSFrameLinkRect() to draw the frames
	around source and destination links.
	* Source/NSBundleAdditions.m: Modified -description method in 
	NSNibConnector to display the source, destination and label for the
	connection.  This makes it easier to debug.
	* Source/NSDataLink.m: Implemented a few private methods.
	* Source/NSDataLinkManager.m: Implemented -breakAllLinks.

2005-02-03 10:54  Alexander Malmberg  <alexander@malmberg.org>

	* Source/NSImage.m (min, max): Rename to ...
	(gs_min, gs_max): ... this. Update callers.

2005-01-28 21:58 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSColorWell.m: [NSColorWell mouseDown:] prevent use
	of the colorwell when it's disabled.

2005-01-28 17:57  Alexander Malmberg  <alexander@malmberg.org>

	* Source/NSImageCell.m (-drawInteriorWithFrame:inView:): If our
	view is flipped, flip the image.

2005-01-26 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/NSApplication.m (-beginModalSessionforWindow:): Center
	panels only if they are not already up, matching OS X Panther;
	document.
	(-runModalForWindow:, -runModalSession:): Clarify documentation.

2005-01-25 01:05  Alexander Malmberg  <alexander@malmberg.org>

	* Source/NSImageCell.m (-drawInteriorWithFrame:inView:): Use
	-drawInRect:fromRect:operation:fraction: to draw the image.

2005-01-25 00:29  Alexander Malmberg  <alexander@malmberg.org>

	* Headers/AppKit/NSImage.h (-drawAtPoint:fromRect:fraction:)
	(-drawInRect:fromRect:operation:fraction:): Document.
	* Source/NSImage.m -drawAtPoint:fromRect:fraction:)
	(-drawInRect:fromRect:operation:fraction:): Implement.
	(min, max): New functions.
	(-drawRepresentation:inRect:): Save the gstate before drawing
	and restore it afterwards.

	Fixes bug #11712.

2005-01-24 16:57  Alexander Malmberg  <alexander@malmberg.org>

	* Source/NSPopUpButtonCell.m (-synchronizeTitleAndSelectedItem): For
	non-pulldowns, make sure the selected item and the highlighted item
	are the same.

2005-01-24  Quentin Mathe  <qmathe@club-internet.fr>

	* Source/GSToolbarView.m (initSystemExtensionsColors()): Removed 
	spurious 'else' (introduced with revision 1.11) which prevented toolbar 
	colors loading code to be executed (Fix the white toolbar background bug
	reported by Riccardo Mottola).

2005-01-24 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/NSSavePanel.m (-_shouldShowExtension:isDir:,
	-setRequiredFileType:, -requiredFileType, -filename): For filename
	display filtering, handle case where _requiredFileType is unset or
	set to nil or "" by allowing any extension (including none), as
	specified in Apple docs, instead of allowing no extensions, as it
	was.  Document.

2005-01-24 00:48  Alexander Malmberg  <alexander@malmberg.org>

	* Source/NSImageCell.m (-drawInteriorWithFrame:inView:): Draw
	the image using the right size, but don't scale it. Work around
	bug #11712.

2005-01-22 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/NSFontManager.m (-fontWithFamily:traits:weight:size:)
	Corrected logic in fallback approximate trait search for weight 5 or 6
	(regular) fonts. Font w/approximate traits but originally-requested
	weight will now be found.
	
2005-01-21 21:43  Alexander Malmberg  <alexander@malmberg.org>

	Various whitespace cleanups, comment type fixes, and changes
	to avoid warnings from recent versions of gcc.

	* Headers/Additions/GNUstepGUI/GSToolbar.h (-_toolbars): Declare.
	* Source/NSWindow+Toolbar.m: Remove conflicting declaration of
	[NSToolbar -_toolbars].

	* Headers/Additions/GNUstepGUI/GSServicesManager.h,
 	Source/GSServicesMananger.m (-item2title:, -validateMenuItem:):
	Adjust argument types.
	* Headers/AppKit/NSMenu.h (-validateMenuItem:): Adjust argument
	type.

	* Source/NSTextView.m (-sizeToFit): Don't use size uninitialized
	if neither resizable flags is set.
	(-insertText:): Adjust argument type.
	* Headers/AppKit/NSResponder.h, Source/NSResponder.m (-insertText:):
	Adjust argument type. Document.

	* Headers/AppKit/NSView.h: Change type of ivar _window to NSWindow *.

	* Source/GSTitleView.m (-mouseDown:): Always initialize
	startWindowOrigin.
	* Source/NSApplication.m (-setApplicationIconImage:): Add casts
	to avoid warnings.
	* Source/NSCell.m (-cellSize): Add default: case.
	* Source/NSPasteboard.m
	([GSFiltered -pasteboard:provideDataForType:]): Detect and warn if we
	can't find a filter that will get us the desired type.
	* Source/NSProgressIndicator.m: Comment out unused variable 'images'.
	* Source/NSBezierPath.m: Declare GSBezierPath fully before using it.
	(-bezierPathByFlatteningPath, -bezierPathByReversingPath): Make sure
	variables are always initialized.

	* Source/NSMenuView.m,
	* Source/NSPrintOperation.m,
	* Source/NSSplitView.m,
	* Source/NSTableHeaderView.m: Make sure variables are always
	initialized.

	* Source/NSBox.m,
	* Source/NSImageview.m,
	* Source/NSText.m,
	* Source/NSTextStorage.m: Add missing includes.

	* Source/GSKeyBindingTable.m,
	* Source/GSLayoutManager.m,
	* Source/NSBitmapImageRep+PNM.m,
	* Source/NSBundleAdditions.m,
	* Source/NSLayoutManager.m,
	* Source/nsimage-tiff.h,
	* Source/tiff.m,
	* Headers/Additions/GNUstepGUI/GSDisplayServer.h,
	* Source/GSDisplayServer.m: Change signedness of various variables.

	* Source/NSPanel.m (-sendEvent:): Remove.
	* Source/NSWindow.m (-becomesKeyOnlyIfNeeded): New method.
	(-_sendEvent:becomesKeyOnlyIfNeeded:): Remove. Move code ...
	(-sendEvent:): ... here. Use -becomesKeyOnlyIfNeeded instead
	of the argument.

2005-01-21  Quentin Mathe  <qmathe@club-internet.fr>

	* Source/GSToolbarView.m:
	* Headers/Additions/GNUstepGUI/GSToolbarView.h:
	Renamed the NSColor(Extensions) category with the more descriptive name 
	NSColor(GSToolbarViewAdditions). This modification permits GNUMail 
	compilation with recent Darwin linker versions which prevented it 
	because GNUMail has a NSColor category identically named "Extensions".

2005-01-20  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSTableView.m (-rowAtPoint:): If the heigh of the table
	is incorrect and because of this the row would be greater than the
	number of rows, return a usable number.

2005-01-18 17:06  Alexander Malmberg  <alexander@malmberg.org>

	* Source/NSWindow.m
	(-initWithContentRect:styleMask:backing:defer:screen:): Assert that
	the shared application instance has been created instead of just
	calling NSLog. Make the message clearer.

2005-01-18 16:53  Alexander Malmberg  <alexander@malmberg.org>

	* Source/NSCell.m (-setUpFieldEditorAttributes:): Clear the
	text object's string.
	* Source/NSControl.m (-setDoubleValue:, -setFloatValue:)
	(-setIntValue:, -setStringValue:, -setObjectValue:): If the receiver
	was being edited when the method was called, make it the first
	responder after changing the value.
	(-abortEditing): Don't clear the text object's string.
	* Source/NSMatrix.m (-abortEditing): Don't clear the text object's
	string.
	* Source/NSTableView.m (-abortEditing): Ditto.
	* Source/NSTextField.m (-abortEditing): Ditto.

2005-01-18 16:39  Alexander Malmberg  <alexander@malmberg.org>

	* Source/NSBitmapImageRep.m
	(-TIFFRepresentationUsingCompression:factor:): Don't use pointer
	comparisons to compare strings. Handle both device and calibrated
	colorspaces. Warn if the colorspace isn't recognized.

2005-01-18 15:50  Alexander Malmberg  <alexander@malmberg.org>

	* Source/NSApplication.m (-runModalSession:): Don't order the window
	to the front or make it the key/main window.

2005-01-18 15:46  Alexander Malmberg  <alexander@malmberg.org>

	* Source/NSApplication.m (-finishLaunching): Don't attempt to open
	an untitled file if we were autolaunched.

2005-01-18 14:16  Alexander Malmberg  <alexander@malmberg.org>

	* Source/NSAffineTransform.m (pi): Correct the rounding.

2005-01-18  Matt Rice <ratmice@yahoo.com>

        * Source/NSTextView.m (setSelectedRange:): Do not make the selected
	text visible.
        (-didChangeText,-checkSpelling:): Make the selected text visible.
        * Source/NSTextView_actions.m (_moveTo:select:): Ditto.
        * Source/NSCell.m (-setUpFieldEditorAttributes:): Ditto.
        (-selectWithFrame:inView:editor:delegate:start:length:): Ditto.
        * Source/NSComboBoxCell (-validateSelection:,-textDidChange:): Ditto.

2005-01-18 14:09  Alexander Malmberg  <alexander@malmberg.org>

	* Source/Functions.m (NSDottedFrameRect, NSFrameRectWithWidth): Draw
	the frame inside the given rectangle.
	(NSDrawTiledRects): Remove documentation.
	* Headers/AppKit/NSGraphics.h (NSDottedFrameRect, NSFrameRect)
	(NSFrameRectWithWidth, NSDrawTiledRects): Add new documentation.

2005-01-17 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/NSWindow.m (-sendEvent:becomesKeyOnlyIfNeeded:): Give
	mouseDragged events to _lastView rather than view (if exists)
	underneath mouse.

2005-01-17 Adrian Robert <arobert@cogsci.ucsd.edu>

	* Source/NSApplication.m
	(-nextEventMatchingMask:untilDate:inMode:dequeue:): Check that
	event is not 'null_event' before using it to unhide mouse.

2005-01-17  Fred Kiefer <FredKiefer@gmx.de>

	* Source/NSBrowserCell.m (-setType:): New method, does nothing to
	allow image and text at once (MacOSX 10.2 behaviour).
	(-drawInteriorWithFrame:inView:): Draw an image or alternate image,
	if provided and draw the text as well.
	
2005-01-16  Fred Kiefer <FredKiefer@gmx.de>

	* Images/common_ClosedHandCursor.tiff: Replaced by new image files by
	Fabien Vallon <fabien@sonappart.net>.

2005-01-16  Fred Kiefer <FredKiefer@gmx.de>

	* TextConverters/RTF/RTFProducer.m (-_stringWithRTFCharacters:):
	Output "\uc0" so that other applications know we don't write ANSI
	representations of Unicode characters.

2005-01-16  Fred Kiefer <FredKiefer@gmx.de>

	* Printing/GSCUPS/GSCUPSPrinter.m (+printerNames): Add dummy
	printer to list, if no printers are found.

2005-01-16 06:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSDocument.m: In validateMenuItem: added code to 
	properly set the undo/redo title and disable the menus when
	appropriate.

2005-01-15 05:59 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSDocument.m: Added undo:/redo: here.  Smarter use
	of the responder chain.
	* Source/NSWindow.m: Removed undo:/redo: here.

2005-01-14 16:11  Alexander Malmberg <alexander@malmberg.org>

	* Headers/AppKit/NSSavePanel.h (-panel:shouldShowFilename:):
	Document.
	* Source/NSSavePanel.m (-setDelegate:): Call -validateVisibleColumns.
	Whitespace cleanups.
	(-browser:isColumnValid:): Give the delegate the complete path to
	each file.

	Fixes bug #10553.

2005-01-14 09:25 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSDocument.m: Minor change.  The init method now sets the
	flag to YES so that when a undoManager is needed, it's instantiated.

2005-01-14 05:50 Gregory John Casamento <greg_casamento@yahoo.com>

	* Source/NSDocument.m: corrected undoManager call in NSDocument.

2005-01-13  Adam Fedor  <fedor@gnu.org>

	* Source/GNUmakefile.preamble: Extend FILTER_OUT flag to
	all sparc architectures.

2005-01-12 16:40  Alexander Malmberg <alexander@malmberg.org>

	* Headers/AppKit/NSBezierPath.h (-windingCountAtPoint:): Mark as
	a GNUstep extension.

2005-01-12 00:47  Alexander Malmberg <alexander@malmberg.org>

	* Source/GSStandardWindowDecorationView.m (-initWithFrame:window:):
	Create a paragraph style with line-breaking-by-clipping and use it
	for window titles.

2005-01-12 00:41  Alexander Malmberg <alexander@malmberg.org>

	* Printing/GSCUPS/GSCUPSPrinter.h (GSCUPSDummyPrinterName): New
	variable.
	* Printing/GSCUPS/GSCUPSPrinter.m (GSCUPSDummyPrinterName): New
	variable.
	(+printerWithName:): Warn and return a dummy printer when requested.
	* Printing/GSCUPS/GSCUPSPrintInfo.m (defaultPrinter): If there's
	no default CUPS printer set, return a dummy printer.

	Fixes bug #10916.

2005-01-11 23:50  Alexander Malmberg <alexander@malmberg.org>

	* Headers/AppKit/NSBezierPath.h (NSWindingRule)
 	(-containsPoint): Document.
	(-windingCountAtPoint:): New method.
	* Source/NSBezierPath.m: Remove some trailing whitespace.
	(PI): Correct rounding.
	(contribution, -contributionToContains:): Remove.
	(winding_line, winding_curve): New functions.
	(-windingCountAtPoint:): New method.
	(-containsPoint:): Use -windingCountAtPoint: instead of
	-contributionToContains:. Don't flatten the path.

2005-01-09  Matt Rice  <ratmice@yahoo.com>
	
	* Source/NSTableHeaderCell.m (-drawInteriorWithFrame:inView:): Use
	the correct background/highlight colors and NSCompositeSourceOver for
	image cells. 
	(-setHighlighted): Use controlHighlightColor instead of controlColor.

